Version 0.3.2
27 December 2007

* Use Hal to monitor battery and AC power. Earlier we monitored a fixed set of files in the /proc filesystem. Now we require NDesk-DBus.

* Fix building with mono 1.2.6 [bgo #503639].

* Add a couple of Avahi specific missing files.

* Fix several bugs in handling exclude directories and patterns in the Filesystem backend.

* Fix a crash in the Nautilus backend when it tries to index temporary files [bgo #504192].

* Fix monodoc and manpages filter. Add support for gzip and bzip2 compressed manpages.

* Fix a bug in beagle-build-index where new files would not be indexed.

* Fix --enable-deletion in beagle-build-index. Set --enable-deletion for system-wide indexes.

* New Empathy backend.

* Store file size for files from the filesystem, in archives and in email attachments.

* Show a larger snippet in the tooltip in beagle-search.

* Allow users to bookmark webinterface searches.

* Also display the time of recently modified results in the webinterface.

* Add --write-xml and --read-xml options to beagle-config to enable non-C# programs to read and set config options.

* Show documentation results in beagle-search when started with --search-docs option.

* Add system-wide crawl rules for manpages and monodoc files. Keep them disabled by default.

* Show the system-wide indexes in the backend chooser of beagle-settings.

* Translations:
  - Swedish (Daniel Nylander)
  - Spanish (Jorge Gonzalez)
  - Brazilian Portuguese (Igor Pires Soares, Leonardo Ferreira Fontenelle)
  - Arabic (Khaled Hosny)

Contributors to this release: Debajyoti Bera, Lukas Lipka, Kevin Kubasik and  Anders Rune Jensen.

Full set of changes:
http://svn.gnome.org/viewvc/beagle/tags/BEAGLE_0_3_2/beagle/ChangeLog?view=markup

-------------------------------------------------------------------------------

Version 0.3.1
10 December 2007

* Fix a crash sqlite3 users will face at startup when upgrading from 0.2.x.

* Workaround a problem in which some HTML emails could cause
 the index-helper to take lots of memory and go into an infinite loop
 [bgo #501803].

* Fix a bug in which beagle-settings would grow wide on long directories
 [bgo #469298].

* Hide the Avahi service settings if Avahi was not enabled at configure time.

* Drop our Images.dll assembly; instead load Tango icons from the icon
 theme and stock icons [bgo #398533].

* Workaround a crash in mono when hostname is 16 characters or longer.

* Update video tiles layout in beagle-search.

* Use bash for all our scripts. Makes it possible to run beagle-index-info where
/bin/sh is not linked to /bin/bash.

* Translations:

 - Catalan (Jordi Mas)
 - Spanish (Jorge Gonzalez)

Contributors to this release: Debajyoti Bera, Lukas Lipka, Kevin Kubasik.

Full set of changes:
http://svn.gnome.org/viewvc/beagle/tags/BEAGLE_0_3_1/beagle/ChangeLog?view=markup

------------------------------------------------------

Version 0.3.0
1 December 2007

* Many speed and memory performance improvements in both indexing and
  searching throughout the code.

* Support for date queries in the query language.  For example,
  "date:2006" will return documents from 2006.  "date:2005.04" will
  return documents from April 2005.  Ranges are also supported.  For
  example, "date:2006.05.01-2007" will return all documents
  between May 1, 2006 and December 31, 2006.

* Rewritten Thunderbird backend, which uses a Thunderbird extension to
  send data to be indexed to the Beagle daemon.

* All new Firefox and Epiphany extensions.

* Experimental network searches.  You can search between multiple
  Beagle daemons, which can be automatically discovered through
  Avahi.  Daemons can also be manually configured, useful for WAN
  searches.

* Experimental web interface to the Beagle daemon.  An AJAX interface
  allows users to search for data through their web browser.

* Support for additional external metadata on previously-indexed
  documents.  This allows new backends or external applications to
  attach metadata that can then be searched on.

* New Nautilus metadata backend, implemented on top of the new
  external metadata support.  Indexes Nautilus emblems and notes, and
  adds search keywords for these.

* Snowball analyzers are now used to process text.  This is the first
  step toward language specific analyzers.

* New Opera history backend.

* Individual backends can now be enabled and disabled using the
  beagle-settings tool.

* Ignored file patterns (like *.o, *.a, *~, etc.) are no longer
  hardcoded, and can be set through the configuration.

* Changes to our TextCache to use a sqlite database for small files
  and on-disk files for larger ones.  This makes the disk usage of the
  TextCache much more efficient.

* Use Mono's updated Mono.Data.Sqlite code, rather than our own hacked
  up copy of the old Mono.Data.SqliteClient code.  As a result of
  this, we now require sqlite3.

* A new configuration system, which allows system administrators to
  set defaults in /etc/beagle/config-files.  This also makes it easier
  for backend and filter authors to add their own configuration
  settings.

* Use taglib-sharp (replacing unmaintained entagged-sharp) for
  extracting metadata from audio files.

* An option to turn off aggressive indexing of data while the
  screensaver is on.

* A new classification for files -- the "file type" -- which
  classifies similar types together.  For instance, PNGs, JPEGs, and
  GIFs all have file type "image".  These can be searched using the
  "filetype" keyword.

* Now store snippets for emails.

* New extended attribute format.  Beagle now uses a single extended
  attribute, user.Beagle, to store all of its information.  The old
  format is migrated to the new one as files are reindexed.

* Queries are run serially rather than in parallel, since most of the
  search overhead is in disk IO.  Reduces memory usage considerably,
  and helps prevent disk thrashing on large searches.

* Print out warnings about possibly insufficient inotify watches, and
  don't periodically recrawl directories that don't have them.  Fixes
  the 100% CPU indexing loop bug of death.

* Various tweaks to the scheduler, to make throttle large numbers of
  tasks better.

* Handle large batches of file deletions (ie, an "rm -rf" on a
  directory) and file additions (ie, untarring into a watched
  directory) in a much more efficient manner.

* Require evolution-sharp 0.12, which implies Evlution 2.8 or 2.10
  because of API changes to the library.

* Some experimental support for XMP sidecar files.

* A new QueryPart for searching explicitly for URIs.

* Support for excluding KMail folders.

* Support for indexing Evolution notes.

* Refactor the indexing of IM conversations.

* New TeX filter.

* Structure snippets rather than returning them as HTML strings.
  This gives application authors considerably more control over how
  to display them.

* Scan the first 4k of files to determine their MIME type in addition
  to looking at the file extension, and choose the better match.

* PDFs are now included when indexing system documentation.

* Improvements to indexing files inside archives.  Now all extracted
  files are handled in the index helper process, removing a costly
  round trip.

* Redirect crash logs from Mono into the Beagle log files.  They were
  previously lost and users had to reproduce problems with --fg.

* Add many more keywords to the query language; run beagle-query
  --keywords to see a full list.

* Lots and lots of indexing and searching bugfixes.  Too many to
  count.

* Translations:

  - Arabic		   (Djihed Afifi)
  - Basque		   (Mikel Paskual, Inaki Larranaga Murgoitio)
  - Brazillian Portuguese  (Igor Pires Soares, Raul Pereira, 
			    Leonardo Fontenelle, Og Maciel)
  - British English	   (David Lodge)
  - Catalan		   (Jordi Mas)
  - Czech		   (Jakub Freidl)
  - Dzongkha		   (Pema Geyleg)
  - Finnish		   (Ilkka Tuohela)
  - French		   (Guillaume Ayoub, Stéphane Raimbault,
			    Christophe Bilard, Claude Paroz)
  - Galician		   (Ignacio Casal Quinteiro)
  - Hungarian		   (Gabor Kelemen)
  - Japanese		   (Takeshi Aihana)
  - Latvian		   (Raivis Dejus)
  - Macedonian		   (Arangel Angov, Jovan Naumovski)
  - Norwegian bokmål	   (Kjartan Maraas)
  - Occitan		   (Yannig Marchegay)
  - Polish		   (GNOME PL Team)
  - Portuguese		   (Filipe Gomes)
  - Simplified Chinese	   (Funda Wang) 
  - Spanish		   (Roberto Majadas, Jorge Gonzalez)
  - Swedish		   (Daniel Nylander)

Contributors to this release: Debajyoti Bera, Joe Shaw, Lukas Lipka,
Pierre Östlund, Tao Fei, Arun Raghavan, Nirbheek Chauhan, Kevin
Kubasik, Alexis Christoforides, Kyle Ambroff, Fredrik Hedberg, Larry
Ewing, Pat Double, Matteo Gottardi, Jose Carlos Garcia Sogo, Joseph
Benavidez, Enrico Minack, JP Rosevear, Jason Kivlighn, and Stephane
Loeuillet.

Full set of changes:
http://svn.gnome.org/viewcvs/*checkout*/beagle/tags/BEAGLE_0_3_0/beagle/ChangeLog
http://svn.gnome.org/viewcvs/*checkout*/beagle/tags/BEAGLE_0_3_0/libbeagle/ChangeLog
http://svn.gnome.org/viewcvs/*checkout*/beagle/tags/BEAGLE_XESAM_0_1/ChangeLog

------------------------------------------------------

Version 0.2.18
27 August 2007

Notable changes:

* Build and run against evolution-sharp 0.13.3.

* No longer recrawl directories if we can't set up an inotify watch.
  This fixes the looping bug of death when the screensaver kicks in.

* Greatly improve indexing overhead with the beagle-build-index tool.

* Display a warning in the log if the number of inotify watches runs
  out.

* Fix a problem in which beagle-search wouldn't work after a daemon
  restart.  [bgo #463803]

* Fix a bug in which processing large numbers of maildir files could
  cause beagled to run out of file descriptors.  [bgo #466891]

* Add support for the ~/.liferea_1.2 directory to the Liferea
  backend.  [bgo #426573]

* Add support for PDF keywords, and allow colons in PDF metadata.
  [bgo #463003]

* Ignore legal.xml files in the Docbook filter, since they're largely
  content-less and frequently duplicated.

* Fix the SQL used to retrieve tag information from the Digikam DB.
  [bgo #454656]

* Improve error reporting throughout.

Contributors to this release: Joe Shaw, Debajyoti Bera, Lukas Lipka,
Joseph Benavidez, JP Rosevear.

Full set of changes:
http://svn.gnome.org/viewcvs/*checkout*/beagle/tags/BEAGLE_0_2_18/ChangeLog

------------------------------------------------------

Version 0.2.17
8 May 2007

Notable changes:

* When extracting files from archives, save the temporary files with
  the appropriate file extensions (rather than .tmp) so that
  extension-based MIME type detection works correctly.

* Handle phrase queries that contained stop words much better.
  For example, previously "no dice" would return no hits.

* Make the archive filter much more robust. [bgo #415056, bnc #244490
  and #228718]

* Add --disable-on-battery to beagle-build-index, add support for
  it in beagle-crawl-system, and enable it for the documentation
  index, since it takes a while to build. [bgo #383789]

* Add --disable-text-cache to the Beagle daemon, to disable storing of
  text for snippets.  This saves substantial amounts of disk space at
  the expense of showing snippets in the UI.

* Fix a bug in which deleted files weren't removed from the text cache
  properly.

* Fix prohibited date queries (ie, -date:20070505) in most cases.

* Fix an infinite loop on certain SVG files. [bgo #407564]

* Fix an infinite loop on some truncated JPEG files. [bgo #405372]

* Limit PDF tools to 100 megs mapped memory. [bgo #335461]

* Add more well-known locations for Docbook files, since their MIME
  type often cannot be determined beyond generic XML types.

* Use the TOMBOY_HOME environment variable if available. [bgo #332102]

* Fix the CHM filter. [bgo #408047]

* Fix opening of Konversation hits in beagle-search. [bgo #408101]

* Shut down the daemon sooner if requested in the middle of a large
  batch of files being indexed.

* Many other minor filter and backend fixes.

* Redirect low-level stdout and stderr to the log file, rather than
  just .Net streams so that Mono crashes are logged and saved
  somewhere useful.

* Lower CPU priority in the Beagle daemon, for instances where we get
  a little CPU hungry.

* Add a new index verification process if stale lockfiles are left
  behind for whatever reason (usually an index helper crash).  The
  process is rather CPU intensive, but overall will be less painful
  than purging the index and reindexing everything.

* Watch the X connection more closely, fixing a bug in which the
  daemon wouldn't exit when the user logged out if it didn't have any
  work to do.

* Always start the daemon with --replace, so that no more than one
  copy is running per user.

* Speed up the returning of results by about 10%.

* Remove separate crawling and indexing threads from
  beagle-build-index, causing it to be slightly faster and use a lot
  less memory.

* Speed up beagle-index-info by returning cached document counts, and
  not starting up a helper process to get them.

* Fix an infinite loop problem with empty OpenOffice documents. [bgo
  #427256, #435694]

* Better handle PDF files which spew tons of warnings with
  pdfinfo. [bgo #425150]

* Display the first Nautilus emblem on file results, and fix an
  uncommon memory leak in the beagle-search UI.

* Remove the Mono --debug argument from beagle-search, saving about 2
  megs RSS and making startup faster.  Also remove it from things like
  beagle-build-index.

* Fix a bug in which mail attachments which didn't have a file name
  weren't being displayed in the UI.

* Fix bugs in counting the total number of results in the UI.

* Fix a crash caused by empty buddy icons. [Launchpad #93064]

* Fix a crash caused by empty icons from Liferea. [bgo #428336]

* Fix an exception caused by Evolution IMAP folders with commas in
  their names. [bgo #432417, lp #108957]

* Redirect MS Word extractor script output to stderr so that it
  doesn't interfere with the indexing process.

* Fix some file modification date handling issues in the daemon.

* Exit the beagle-crawl-system cronjob if beagle-build-index doesn't
  exist. [bgo #370943]

* Always set the process name in beagle-extract-content.

* Add application/xhtml+xml as a MIME type for the HTML filter.

* Sync our copy of xdgmime with the upstream GTK+ version.

* Translations:

  - Arabic               (Djihed Afifi)
  - Brazilian Portuguese (Igor Pires Soares)
  - British English      (David Lodge)
  - Czech                (Jakub Friedl)
  - Dzongkha             (Pema Geyleg)
  - Finnish              (Ilkka Tuohela)
  - French               (Guillaume Ayoub, Stéphane Raimbault,
			  Christophe Bliard, Claude Paroz)
  - Galician             (Ignacio Casal Quinteiro)
  - Hungarian            (Gabor Kelemen)
  - Japanese             (Takeshi Aihana)
  - Macedonian           (Jovan Naumovski)
  - Norwegian bokmål     (Kjartan Maraas)
  - Simplified Chinese   (Funda Wang)
  - Spanisn              (Roberto Majadas, Jorge Gonzalez)
  - Swedish              (Daniel Nylander)

Contributors to this release: Joe Shaw, Debajyoti Bera, Jose Carlos
Garcia Sogo, Alexander Macdonald.

Roughly 43 GNOME Bugzilla bugs were fixed between 0.2.16 and 0.2.17:
http://tinyurl.com/3d8aqx

Full set of changes:
http://svn.gnome.org/viewcvs/*checkout*/beagle/tags/BEAGLE_0_2_17/ChangeLog

------------------------------------------------------

Version 0.2.16
7 February 2007

Notable changes:

* Roll back the Mono requirement to 1.1.13.5.  The .NET 2.0 support
  should be good enough in it, and it gives us access to more released
  distros (like Ubuntu Edgy and SUSE 10.1).

* Change our method of setting up limits on external extractor
  processes, because running JITted code in a child process sometimes
  causes runtime deadlocks.  [bgo #402065]

* Fix a problem in our Sqlite schema where Beagle could loop crawling
  directories that started with zeros.

* Correctly handle filter versions while indexing, so that if a filter
  is upgraded to index more information, those files will be
  reindexed.

* Fix a problem where KMail folders were not being indexed.  [bgo
  #391647 and #401767, bnc #238161]

* Fix an issue with the file system backend reporting that it is
  indexing even after it has finished.

* Fix an issue with the Evolution mail backend reporting that it is
  doing the initial crawl even if it is only reprocessing a changed
  mailbox.

* Fix an issue with the Konversation backend always reporting that it
  is indexing, prompting the info box in beagle-search.

* Many robustness improvements to the Konversation backend.

* Fixes to the image filter (extracting JFIF comments and IPTC data,
  among others).

* Fix a potential deadlock on PDF files that cause pdftotext to spam
  output to stderr.

* Fix the SVG filter to handle undeclared namespaces gracefully.
  [bgo #404787]

* Handle JavaScript comments inside HTML files properly.

* Workaround certain archive files that cause SharpZipLib to loop
  infinitely.  [bgo #402280]

* Fix bugs caused by a change in behavior after switching to the .NET
  2.0 profile, mostly date-related.

* Fixed a problem where beagle-crawl-system was not being properly
  generated at configure-time.  [bgo #401504]

* Translations:

  - [New] Dzongkha       (Pema Geyleg)
  - Brazilian Portuguese (Igor Pires Soares)
  - Catalan              (Jordi Mas)
  - Galician             (Ignacio Casal Quinteiro)
  - Japanese             (Takeshi Aihana)
  - Swedish              (Daniel Nylander)

Contributors to this release: Debajyoti Bera, Joe Shaw, Alexander
Macdonald, Stephan Hegel, Rick Friedman.

5 GNOME Bugzilla bugs fixed in this release: http://tinyurl.com/2mjlog

Full set of changes:
http://svn.gnome.org/viewcvs/*checkout*/beagle/tags/BEAGLE_0_2_16/ChangeLog

------------------------------------------------------

Version 0.2.15
25 January 2007

Notable changes:

* Beagle now users the .NET 2.0 profile and is compiled with gmcs,
  giving us access to generics.

* Support added for Linux's relatively new SCHED_BATCH scheduler
  policy.

* Infrastructure added to limit helper programs in terms of CPU time
  and address space using setrlimit(2).

* Disabled building the Thunderbird backend by default; it's too
  memory hungry and buggy at this point.

* Added KOrganizer and Konversation backends.

* Many memory usage improvements, especially with IMAP accounts in the
  Evolution mail backend and when doing queries.

* A rewritten and massively improved RTF filter.

* The MS Word filter has been moved into an external process,
  improving service reliability tremendously.

* Dozens of improvements to the filter code, including single
  instantiation of filter objects, reading smaller chunks of data from
  files, and other bug fixes.

* Fixed a problem where file attributes stored in the sqlite DB
  weren't removed if we later stored them in extended attributes.

* Removed the rarely-used Google backend, since Google stopped
  providing API keys.

* Install a greatly improved beagle-dump-index tool, for examining the
  data inside indexes.

* Many rendering improvements and bug fixes to the GUI.

* Translations:

  - [New] Slovenian  (Matic Zgur)
  - British English  (David Lodge)
  - Canadian English (Adam Weinberger)
  - Catalan          (Jordi Mas)
  - Czech            (Jakub Friedl)
  - Hungarian        (Gabor Kelemen)
  - Japanese         (Takeshi Aihana)
  - Lithuanian       (Žygimantas Beručka)
  - Macedonian       (Jovan Naumovski)
  - Norwegian bokmål (Kjartan Maraas)
  - Russian          (Leonid Kanter)
  - Serbian          (Danilo Šegan)
  - Swedish          (Daniel Nylander)

Contributors to this release: Debajyoti Bera, Joe Shaw, Kevin Kubasik,
Stephan Binner, Brian J. Murrell, Ed Catmur.

29 Bugzilla bugs fixed in this release: http://tinyurl.com/2qwuk2

Full set of changes:
http://svn.gnome.org/viewcvs/*checkout*/beagle/tags/BEAGLE_0_2_15/ChangeLog

------------------------------------------------------

Version 0.2.14
14 December 2006

Daemon/Infrastructure:
* Added the infrastructure necessary to handle indexing of archive
  files.  (Debajyoti Bera, Daniel Drake)
* Fix many issues with dates because .NET 1.1 was interpreting the
  dates as local time, not UTC.  (Bera)
* Indexables are no longer marked as indexed until all of its children
  are indexed first.  (Bera)
* Add infrastructure to signal clients when we're doing the initial
  index.  (Joe Shaw)
* Changes to how child indexables are dealt with in the index.  (Bera)
* Work around a bug in Mono 1.2.1, so that Beagle doesn't incorrectly
  think your home directory is on a remote filesystem like NFS.  (Joe)
* Use the XDG autostart specification to autostart the daemon, and
  deprecate the old --autostarted flag.  (Joe)
* Fix a URI comparison problem that would cause files to be repeatedly
  reindexed.  (Bera)
* Fix a bug in the tokenizer so that "001234" is tokenized as "1234".
  (Bera)
* Tokenize longer numbers, like international phone numbers.  (Bera)
* After we store child indexable streams in the helper, close them
  rather than letting the GC do it for us.  (Joe)
* Don't set the "source" on indexables if they are already set.  This
  allows indexing service clients to set their own "source" names.
  (Bera)
* Added a handler for SIGUSR2 to the helper process, which will print
  out what file it is currently filtering.  Should help debugging 100%
  CPU issues greatly.  (Joe)
* Greatly improve logging in the daemon and helper.  (Joe)

Backends:
* Support child indexables in the file system backend.  (Bera)
* Report progress percentages in the Evolution mail backend.  (Joe)

Filters:
* Added a new archive filter, to handle zip, tar, gzip and bzip2
  archives.  (Joe, Veerapuram Varadhan, Bera)
* Limit the archive filter to only index 30 files inside archives for
  now, to avoid excessive disk usage.  (Joe)
* Added Scribus filter.  (Alexander Macdonald)
* Fix a crash and clean up the code in the SVG filter.  (Alexander)
* Fix a potential crash in the HTML filter.  (Bera)
* Use the current encoding when decoding URLs in the HTML filter.
  (Bera)
* Add text/troff to the list of supported MIME types in the man page
  filter.  (Joe)
* Turn on snippeting in the man page filter.  (Joe)

Bindings:
* Fix a logic bug in libbeagle that would cause responses to get lost
  if different complex messages were sent to the daemon.  (Joe)
* Print out the response in libbeagle apps if ENABLE_XML_DUMP is
  defined.  (Joe)
* Set the correct time zone info in BeagleTimestamp.  (Bera)
* Add example code for using the indexing service APIs.  (Bera)

Tools:
* Only show the timestamp in beagle-extract-content if it's valid.
  (Joe)
* Fix a problem in which child indexables from archives weren't being
  cleaned up in beagle-extract-content.  (Bera)
* Only show the number of total hits if we're in verbose mode with
  beagle-query, so that scripts can still easily deal only with URIs.
  (Joe)
* Add support to beagle-settings to handle autostarting the daemon and
  UI with the XDG autostart spec.  (Joe)
* Show the percentages of progress in beagle-index-info for the
  backends that support it.  (Joe)
* Remove dead webservices code from beagle-settings tool.  (Joe)
* Fix a problem in which passing in --disable-directories to
  beagle-crawl-system would override --disable-filtering.  (Joe, 
  Pat Double)

UI:
* Show an informational box when the daemon is in the process of
  indexing the user's data.  (Lukas Lipka, Joe)
* New tile to show files inside archives.  (Joe)
* Added a status bar, and display in it the total number of matching
  documents and the number that are currently displayed.  (Joe)
* Fix some rendering ugliness in the details pane if you resized it.
  (Joe)
* Add support for xdg-open if present.  (Joe)
* Fix the build so that Thunderbird was correctly opened from tiles.
  (Kevin Kubasik)
* Fix a crash in the image tile if the file didn't have an extension.
  (Kevin)
* Fix web tiles opening the handler for the MIME type, rather than the
  handler for the URL.  (Kevin, Joe)
* Fix a crash on right-click when the "Open With..." menu would have
  been blank.  (Joe)
* Use the XDG autostart spec to autostart beagle-search, and deprecate
  the old --autostarted method.  (Joe)
* Fix a potential crash in the image tile in the unlikely event that
  we'd attempt to composite the F-Spot logo on top of a standard MIME
  icon.  (Joe)
* Don't scale up RSS feed icons.  Liferea stores icons mostly at 16x16
  or 32x32, and those look terrible.  (Joe)

Memory optimizations:
* Fix a big leak in which we were leaking Lucene IndexReader
  instances.  This substantially reduces memory usage.  (Joe)
* Plug a leak in which QueryWorker instances were never removed from a
  static hash table.  (Joe)
* Don't store full Hit objects in the QueryWorker's URI hash table,
  since they're never used and hold references on a lot of objects.
  (Joe)
* Fix a leak of URIs in LuceneFileQueryable, which is the base class
  for most of the smaller backends.  (Joe)
* Fix a leak in which the list of all the Evolution accounts were
  stored for each folder.  (Joe)
* Avoid some unnecessary boxing in Lucene, reducing memory usage.
  (Joe)
* For all our non-tokenized fields, turn off storing norms in the
  Lucene index.  This will save disk and memory usage for those
  fields.  (Joe)
* Make the code in the IndexerRequest class a little better about
  object allocations.  (Joe)
* Fix an issue where characters were boxed every time we processed a
  URI.  This heavily reduces memory allocations.  (Joe)
* Use UTC when calculating load averages, to avoid uncessary
  allocations related to timezones.  (Joe)
* If --heap-buddy or --heap-shot are passed to the daemon, assume
  --debug-memory.  (Joe)
* If running with --heap-shot and the RSS increases by more than 5% or
  5 megs, or the Mono heap size increases by more than 10%,
  automatically send SIGPROF to the daemon to generate a memory
  snapshot.  (Joe)

Translations:
* Updated Arabic translation.  (Djihed Afifi)
* Updated Catalan translation.  (Jordi Mas)
* Updated Czech translation.  (Jakub Friedl)
* Updated Galician translation.  (Ignacio Casal Quinteiro)
* Updated German translation.  (Hendrik Brandt)
* Updated Hungarian translation.  (Gabor Kelemen)
* Updated Japanese translation.  (Takeshi Aihana)
* Updated Norwegian bokmål translation.  (Kjartan Maraas)
* Updated Spanish translation. (Francisco Javier F. Serrador)
* Updated Swedish translation. (Daniel Nylander)

Everything else:
* Sync our xdgmime with upstream.  (Bera)
* Only check for wv1 if we have gsf-sharp.  We need both for MS Word
  filtering.  (Joe, Bera)
* Only build the po directory if we're building the GUI.  (Joe)
* Update the build system to use gnome-common's gnome-autogen.sh if
  it's available.  If not, use our own included copy.  (Joe)
* Require automake 1.8 to build.  (Joe, Pat, Max Weihle)
* Build against Mono's included SharpZipLib 0.84, instead of the older
  0.60 version.  (Joe)
* Fix an issue with the cron scripts not being included in the
  tarball.  (Joe)
* Only check for gtk-doc if libbeagle is enabled.  (Joe)

------------------------------------------------------

Version 0.2.13
20 November 2006

Daemon/Infrastructure:
* Nice +15 the helper process on startup, since filtering certain
  files can take a while and we don't want to affect other user apps.
  (Joe Shaw)
* Change the IO priority code to automatically fallback from trying to
  set idle priority to lowering best effort.  (Joe)
* Fix a bug in which the short circuiting code would cause not all
  results to be found.  (Debajyoti Bera)
* Fix a bug in remote filesystem index synchronization when home is on
  a remote filesystem but BEAGLE_STORAGE is set.  (Joe)
* Add means to get the total number of Lucene matches that are found.
* Fix broken UTC/local time mismatches in C clients.  (Bera)
* Join threads together when shutting down so that all the outstanding
  work is processed before the final cleanup and exit.  (Joe)
* Further improve output logging in the daemon and index helper.
  (Joe)

Backends:
* Add "email" keyword mapping to KAddressbook backend.  (Bera)
* Fix a bug in which the extension keyword mapping wasn't working with
  the static backends.  (Bera)
* Fix a bug in which directories weren't being returned in results
  from static backends.  (Bera)
* Reduce memory usage slightly in Thunderbird backend by avoiding
  string allocations.  (Kevin Kubasik)
* Handle null indexables in the indexing service backend.  (Joe)
* Fix a file descriptor leak in the Konqueror history backend.  (Joe)
* Fix a file descriptor leak in the KNotes backend.  (Bera)

Filters:
* Fix conditional defines, to fix Word, PowerPoint, and CHM filters.
  (Joe)
* Index cell phone numbers in KAddressbook filter.  (Bera)
* Fix Digikam tag parsing to add all tags, not just the first one.
  (Bera)

UI:
* Make the automatic search after a timeout in the text entry
  optional.  (Lukas Lipka)
* Fix various i18n issues in the code.  (Gabor Kelemen)

Tools:
* Use the watch command for beagle-status instead of our own loop in
  the shell script.  (José Carlos García Sogo, Joe)
* Don't quote the query string in beagle-query, it breaks advanced
  query syntax.  (Bera)

Translations:
* Added Arabic translation.  (Djihed Afifi)
* Updated German translation.  (Hendrik Richter)
* Updated Hungarian translation.  (Gabor)
* Updated Norwegian bokmål translation.  (Kjartan Maraas)
* Updated Spanish translation.  (Francisco Javier F. Serrador)
* Updated Swedish translation.  (Daniel Nylander)

Everything else:
* Fix many warnings brought on by more strict Mono compilers.  (Lukas)
* Fix compilation issue when Thunderbird support is disabled.  (Priit
  Laes)
* Add support for new heap-shot profiler to the scripts.  (Joe)
* Work around gettext's check for functions named GetString() in the
  Contact viewer and Thunderbird backend so that strings that aren't
  for translation aren't marked as such.  (Joe)

------------------------------------------------------

Version 0.2.12
1 November 2006

Daemon/Infrastructure:
* Drastically reduce memory usage of beagled and beagled-index-helper
  at startup by changing how certain pluggable components are
  detected.  Filter and backend authors, see IMPORTANT NOTE below.
  (Joe Shaw, Debajyoti Bera, Kevin Kubasik)
* Don't run Beagle in Mono with the --debug flag unless --mono-debug
  is passed into beagled.  This saves memory and fixes leaks.  (Joe)
* Tokenize emails and hostnames when indexing.  (Bera)
* Add back in Hangul Jamo support to Lucene, which was lost in our
  upgrade to 1.9.1.  (Young-Ho Cha)
* If we get an exception handling a message, catch it and wrap it in
  an ErrorResponse to send to the client.  (Joe)
* Fix a bug in non-Lucene backends when seeing whether or not it's
  indexing.  (Joe)

Backends:
* Fix the Thunderbird backend to index the "Local Folders" account.
  (Pierre Östlund)
* Add Konqueror bookmark backend.  (Bera)
* Generate KAddressbook and KNotes URIs in correct case.  (Bera)
* Store the Liferea feed icon as a property.  (Max Wiehle)
* Fix an exception on non-note files in the Tomboy directory.  (Joe)
* Stop doing unnecessary extra work in the KAddressbook and KNotes
  backends.  (Bera)
* Don't deal with email addresses separately in various backend and
  filters, since they are handled by the tokenizer now.  (Bera)

Tools:
* Add --disable-directories to beagle-build-index so that directories
  themselves aren't indexed.  (Joe)
* Set the default applications and documentation crawl rules to use
  --disable-directories.  (Joe)

Translations:
* Updated Finnish translation.  (Ilkka Tuohela)
* Updated Italian translation.  (Luca Ferretti)
* Updated Japanese translation.  (Takeshi Aihana)

Everything else:
* Bump the Firefox extension version number to indicate that it has
  Firefox 2.0 support.  (Joe)
* Don't hardcode mcs as the C# compiler.  (Joe)
* Remove a large number of compile warnings that recent Mono versions
  started to expose.  (Bera)

------------------------------------------------------

Version 0.2.11
18 October 2006

Daemon/Infrastructure:
* Update our internal Lucene.Net copy to 1.9.1 (Debajyoti Bera, Joe
  Shaw)
* Greatly optimize search times for queries that match a large number
  of documents.  (Joe)
* Backport optimizations from the Java Lucene development branch to
  improve search times.  (Joe)
* Allow filters to set the timestamp of a document.  (Bera)
* Update the inotify code from the kernel tree.  (Robert Love)
* Remove remnants of the old web services code.  (Fredrik Hedberg)

Backends:
* Added KNotes backend.  (Bera)
* Added KAddressbook backend.  (Bera)
* Added Labyrinth backend.  (Kevin Kubasik)
* Optimize the Tomboy backend when users have many notes.  (Kevin)
* Display nicer file URIs for folders instead of UIDs when indexing.
  (Joe)

Filters:
* Added Totem filter.  (Bastien Nocera, Joe)
* Give the external filter priority over other filters, so that users
  can override existing filters if they want.  (Bera)
* Add "speakingto" as a search property.  (Kevin)
* Fix a crasher on TIFF files with bad datetime strings.  (Kevin)
* Check for illegal lengths in the PowerPoint filter.  (Bera)

UI:
* Make the scopes toggles rather than radio buttons, allowing the user
  to turn them on and off from the UI.  (Max Wiehle, Joe)
* Add a details pane toggle, and move the Sort items into a new View
  menu.  (Ryan Probasco)
* Add bug-buddy support to the search and settings .desktop files.
  (Kevin)
* Use the looking glass icon for the beagle-settings window.
  (Fredrik)
* Small formatting fix in the IM log viewer.  (Kevin)
* Fix a UI glitch with border widths.  (Fredrik)

Tools:
* Allow the user to request multiple pieces of information with the
  beagle-info tool.  (Bera)
* Print the timestamp in the beagle-extract-content tool.  (bera)

Translations:
* Added Serbian translation.  (Filip Miletić)
* Added Thai translation.  (Supranee Thirawatthanasuk)
* Updated Catalan translation.  (Jordi Mas)
* Updated Lithuanian translation.  (Žygimantas Beručka)
* Updated Polish translation.  (Krzysztof Rosiński)
* Updated Swedish translation.  (Daniel Nylander)

Everything else:
* Allow compile-time selection of the sqlite version to be used.
  (Kevin)

------------------------------------------------------

Version 0.2.10
18 September 2006

Daemon/Infrastructure:
* Fix the way we escape URIs throughout the codebase to conform more
  to the RFC and so less-accepting apps work with UTF-8 filenames.
  (Joe Shaw)
* Use the GTK+ version of xdgmime instead of the upstream version as
  it appears to be the canonical one.  Fixes the ever-increasing time
  to filter certain files (particularly Java archives (jar),
  Javascript and Matlab files).  (Joe, Bera)
* Improve logging when we are unable to filter a file.  (Joe)

Backends:
* Fix a bug in which file removals weren't being handled correctly.
  (Joe)
* Fix a problem in which directories with hundreds of files with long
  filenames weren't being completely indexed.  (Joe, Kent Borg)
* Fix a bug in the Evolution mail backend in which subfolders weren't
  getting updated in a timely manner.  (Joe)
* Indexing account data in non-standard places in the Thunderbird
  backend should now work better.  (Pierre Östlund)
* Fix bugs when parsing Thunderbird accounts.  (Pierre)
* Read the Thunderbird mailbox name from the Mork file for prettier
  output.  (Pierre)

Filters:
* Add whitespace after attributes in the HTML filter.   (Debajyoti
  Bera)
* Fix a problem where the MPlayer filter was failing in locales which
  use commas instead of periods for decimal points.  (Joe)
* Blacklist signature, MS TNEF, vCard and iCal attachments from mails
  because they (currently) have no indexing value.  (Joe)
* Fix a bug in which mail attachments with capitalized MIME types
  weren't being recognized and indexed correctly.  (Joe)
* Add a bunch of additional MIME types to the C, C++ and shell script
  filters.  (Joe)
* Capture warnings and errors from the PDF commands and log them as
  warnings.  (Joe)
* Fix lifecycle issues in the OLE-based filters (PowerPoint and Word)
  that were causing files to never be closed.  You also need gsf-sharp
  0.8.1 for this to work correctly.  (Joe)

UI:
* Add support for Galago 0.5 and put some presence info in the UI.
  (Kevin Kubasik)
* Fix the dreaded focus stealing bug once and for all.  (Joe)
* Don't crash when we get an empty list for "Open With..." handlers.
  (Lukas)
* Fix a problem in which the mail client wasn't opening correctly for
  mail attachments.  (Kevin)

Bindings:
* Fix some compile warnings in libbeagle.  (Joe Hargadon)

Tools:
* Fix a plural string in the contact viewer for i18n.  (Joe)

Translations:
* Updated British English translation.  (David Lodge)
* Updated Catalan translation.  (Jordi Mas)
* Updated Czech translation.  (Jakub Friedl)
* Updated Dutch translation.  (Tino Meinen)
* Updated Macedonian translation.  (Jovan Naumovski)
* Updated Finnish translation.  (Ilkka Tuohela)
* Updated Norwegian bokmål translation.  (Kjartan Maraas)
* Updated Russian translation.  (Alexander Sigachov)
* Updated Spanish translation.  (Francisco Javier F. Serrador)
* Updated Swedish translation.  (Daniel Nylander)

Everything else:
* Add support for Epiphany 2.16.  (Joe)
* Require stable versions of gtk-sharp (2.4.0) and gmime-sharp
  (2.2.0).  (Joe)
* Install the beagle-ui.pc pkg-config file only if the UI is built.
  (Bera)

------------------------------------------------------

Version 0.2.9
1 September 2006

Daemon/Infrastructure:
* Fix a performance bottleneck which slowed down indexing noticeably.
  (Joe Shaw)
* Fix some DllImports so that development packages aren't needed on
  many distributions.  (Frederic Crozat)

Backends:
* Add sanity checks to the Gaim backend to deal with logs that
  couldn't be parsed.  (Joe)

Filters:
* Fix a bug in parsing emote lines from IM logs that was introduced in
  0.2.8.  (Joe)
* Be more bulletproof when processing lines in IM logs.  (Arif Lukito,
  Lukas Lipka)
* Handle linebreaks correctly as whitespace in plain text emails.
  (Joe)

UI:
* Don't crash if we can't launch the web browser.  (Lukas)
* Fix an infinite loop when saving thumbnails failed in GNOME
  libraries.  (Joe, Lukas)
* Execute either "thunderbird" or "mozilla-thunderbird" depending on
  which is available.  (Kevin Kubasik, Joe)
* Display an ellipsis in calendar descriptions that linewrap.  (Lukas)
* Present the window in tray icon mode to ensure that the window is
  displayed on top.  (Lukas)
* Hide and unhide the window properly.  (Arif)

Bindings:
* Fix some C++ style comments in libbeagle's header files.  (Lukas)
* Fix a warning in libbeagle about a dangling comma.  (Lukas)

Tools:
* Don't display timeline categories that don't have any logs in the IM
  viewer.  (Lukas)
* Fix a few places where we assumed that /bin/sh was bash.  (Joe)

Translations:
* Updated Catalan translation.  (Jordi Mas)
* Updated Dutch translation.  (Tino Meinen, Karel Demeyer)
* Updated French translation.  (Damien Durand)
* Updated Macedonian translation.  (Jovan Naumovski)
* Updated Simplified Chinese translation.  (Funda Wang)
* Updated Vietnamese translation.  (Clytie Siddall)

------------------------------------------------------

Version 0.2.8
August 17, 2006

Daemon/Infrastructure:
* No longer require gtk-sharp for the core parts of the daemon and
  tools, only glib-sharp.  (Debajyoti Bera)
* Add support for wildcard searches.  (Joe Shaw)
* Monitor the battery status and stop the scheduler if the config
  option is set.  (Joe)
* Optimize an index no more often than once a day.  (Joe)
* Fix various case-sensitivity issues when searching against
  properties.  (Joe)
* If file attributes were previously stored in the Sqlite database but
  can now be set using extended attributes, do that and remove the old
  one.  (Bera)
* Add messages to retrieve specific daemon information rather than
  getting it all at once.  (Bera)
* Fix a crash in xdgmime in which null mime types were being added to
  the database.  (Bera)
* Better handle errors when hits are filtered by backends.  (Joe)
* Greatly improve error reporting throughout the code.  (Joe, Bera)
* Improve signal handling, especially immediately after daemon
  startup.  (Bera)
* Add a handler for SIGUSR1 to turn on the highest level of debugging
  while the daemon is running.  (Joe)

Backends:
* Added a Thunderbird backend (Pierre Östlund, Kevin Kubasik)
* When crawling the file system, index directories only one level down
  from the root before all others.  (Joe)
* Use more efficient indexable generators for the Gaim and indexing
  service backends, making startup much faster for people with
  thousands of IM logs or viewed web pages.  (Joe)
* Fix various bugs in parsing the Kopete buddy list.  (Pat Double)
* Add some sanity checks to the Evolution mail backend, checking for
  non-existent summary files.  (Joe)
* Fix a file descriptor leak in the KMail backend.  (Joe)

Filters:
* Correctly handle "emotes" in Gaim log files.  (Joe)
* Soft line breaks are correctly treated as whitespace in the
  OpenOffice filter.  (Bera)
* Index the name of individual sheets in an OpenOffice spreadsheet.
  (Bera)
* Don't index style nodes in OpenOffice filter.  (Bera)
* Don't try to index password-protected PowerPoint documents.  (Joe)
* Fix a 100% CPU issue with certain broken PowerPoint documents. (Joe)
* Index keywords from KDE .desktop files.  (Stephan Kulow, Joe)
* Added mime types for Matroska and OGM video files.  (Mario Manno)
* Added "camera-model" as a searchable property for JPEG files. (Bera)
* Added "genre" as a searchable property for music files.  (Joe)
* Fix the mime type for Ruby files.  (Wade Menard)

UI:
* Handle text/html message parts using the mail tile.  (Joe, Paddy
  Spencer, Rafał Próchniak)
* Fix a URI encoding issue that prevented files containing Unicode
  characters from being opened correctly.  (Joe)
* Fix presentation of number of results when there is only one page,
  so you don't see dumb things like "1-1 of 1".  (Joe)
* Fix UTC date issues and calculating spans of time so that the dates
  displayed are more accurate.  (Joe)
* Fix amusing bug where you could use the scroll wheel to scroll
  through the different pages at startup.  (Joe)
* Display the message's folder in the mail tile.  (Joe)
* Display "(unknown)" if we can't figure out who we're speaking to in
  the IM log tile.  (Joe)

Bindings:
* Fix an issue where beagle_util_daemon_is_running() wouldn't work
  with NFS home directories.  (Joe)

Tools:
* Make the help button in beagle-settings point to the right Wiki
  page.  (Kevin)

Translations:
* Added Hindi translation.  (Guntupalli Karunakar)
* Added Latvian translation.  (Raivis Dejus)
* Added Traditional Chinese (Hong Kong) translation.  (Chao-Hsiung
  Liao)
* Updated Catalan translation.  (Jordi Mas)
* Updated Czech translation.  (Jakub Friedl)
* Updated Dutch translation.  (Tino Meinen)
* Updated Finnish translation.  (Ilkka Tuohela)
* Updated French translation.  (Guillaume Ayoub)
* Updated Hungarian translation.  (Gabor Kelemen)
* Updated Italian translation.  (Luca Ferretti)
* Updated Japanese translation.  (Takeshi Aihana)
* Updated Korean translation.  (Young-Ho Cha)
* Updated Lithuanian translation.  (Žygimantas Beručka)
* Updated Norwegian bokmål translation.  (Kjartan Maraas)
* Updated Russian translation.  (Valek Filippov)
* Updated Spanish translation.  (Francisco Javier F. Serrador)
* Updated Swedish translation.  (Daniel Nylander)
* Updated Traditional Chinese (Taiwan) translation.  (Chao-Hsiung Liao)

Everything Else:
* Fix Firefox extension to not match only partial subdomains.  (Kevin)
* Fix references to Best in the Firefox extension.  (Kevin)
* Fix compile errors with newer gtk-sharp versions.  (Kevin)
* Don't set MONO_GAC_PREFIX in any wrapper scripts; this is now the
  responsibility of the user.  (Joe)
* Various other fixes (Lukas Lipka, Kevin, Bera, Joe)

------------------------------------------------------

Version 0.2.7
June 19, 2006

Daemon/Infrastructure:
* Fix bugs in the query parser by using a regular expression-based
  system.  (Max Wiehle, Keving Kubasik)
* Compress items in the text cache, greatly reducing disk usage.
  (Kevin, Lukas Lipka)
* Fix a bug in which the sqlite database could get cluttered with
  older files.  (Debajyoti Bera, Joe Shaw)
* Again write out the PID of the locking process, or else we cannot
  effectively detect dangling locks.  (Joe)
* If we see a lockfile with no PID, assume it's a dangling lock.
  (Joe)
* No longer handle SIGQUIT to shut down the daemon; it's used very
  valuably by Mono for debugging purposes.  (Joe)
* Add a BEAGLE_DISABLE_XATTR environment variable to disable extended
  attribute support for testing purposes.  (Joe)
* Only print out the inotify "Maximum watch limit hit" warning once.
  (Joe)
* Convert HTML entities when creating snippets.  (Lukas, Kevin)
* Patch our xdgmime installation to not crash if the data is reloaded
  while it is processing it.  (Joe)
* Fix an issue with newer Mono installations where the index helper
  process would become a zombie after it finished and was never
  cleaned up.  (Joe)
* Fix a bug in which properties weren't being sorted and couldn't be
  found.  (Max, Kevin, Bera)
* Work around a Mono bug so that dangling symlinks in ~/.beagle/Log
  are cleaned up at startup.  (Joe)

Backends:
* Generate mail delete events using the indexable generator rather
  than creating many individual indexables by hand, which could flood
  the scheduler and slow the system down.  (Joe)
* Check for exceptions when calling GetChanges() on Evolution
  calendars and addressbooks.  (Joe)

Filters:
* Added an SVG filter.  (Alexander Macdonald)
* Re-enable the CHM filter.  (Miguel Cabrera)
* Close the OpenOffice zip file when we're finished.  (Joe)
* Index additional info from ebuild files, including installation info
  and desktop file entries.  (Pat Double)
* Add duration and bitrate properties to the music filter.  (Lukas)
* Add a filter for Boo.  (Paul Betts)
* Don't throw EncodingFoundException in the HTML parser unless asked
  to.  (Bera)
* Add application/x-php as a valid mime type for the PHP filter.
  (Kevin)
* Make sure the mime type is lower case before matching on it.
  (Kevin, Joe)

UI:
* Catch exceptions if we can't load an application's icons.  (Joe,
  Pierre Poissinger)
* Include the date in note tiles.  (Lukas)
* Only display the first line of a calendar item's description.  (Dan
  Winship)
* Use mailto URIs rather than invoking Evolution directly when
  possible.  (Lukas)
* Use desktop-launch to open file tiles when applicable.  (Lukas)
* Make the text in the details pane selectable.  (Lukas)
* If the calendar's description is empty, still display the item.
  (Lukas)
* Simplify the code for the details pane significantly.  (Lukas)
* Scale down very large mime icons for display.  (Lukas)
* Enable the "Open With" menu if GTK+ 2.8 is available at build-time.
  (Kevin)
* Force the window to get wider if the tiles get wider rather than
  creating a horizontal scrollbar.  (Dan)


Tools:
* Add --enable-deletion to beagle-build-index, which removes deleted
  files from the index.  (Bera)
* Add $sharedir/gtk-doc/html and $sharedir/gnome/html to the
  documentation crawl rules.  (Joe)
* Fix a typo in the beagled manpage.  (Kevin Lamontagne)
* Fix bugs dealing with shell quoting in beagle-query.  (Max)

Translations:
* Updated Brazilian Portuguese translation.  (Raphael Higino)
* Updated Czech translation.  (Jakub Friedl)
* Updated Dutch translation.  (Vincent van Adrighem)
* Updated Finnish translation.  (Ilkka Tuohela)
* Updated Galician translation.  (Ignacio Casal Quinteiro)
* Updated Greek translation.  (Kostas Papadimas)
* Updated Japanese translation.  (Takeshi Aihana)
* Updated Norwegian bokmål translation.  (Øivind Hoel)
* Updated Simplified Chinese translation.  (Funda Wang)
* Updated Spanish translation.  (Francisco Javier F. Serrador)
* Updated Swedish translation.  (Daniel Nylander)
* Updated Vietnamese translation.  (Clytie Siddall)

Everything Else:
* Make the Firefox extension work with Bon Echo (2.0 Alpha).  (Joe)
* Check for mmap() in configure.in, to optimize xdgmime.  (Joe)
* Add a pkg-config file for the UiUtil.dll assembly.  (Luis Medinas)
* Getting Dashboard building again.  (Luis)

------------------------------------------------------

Version 0.2.6
April 29, 2006

Daemon/Infrastructure:
* Don't always redirect stdin/stdout/stderr and close them if we
  don't want them in the first place.  Fixes a problem where
  shell scripts wouldn't launch.  (Joe Shaw)
* Only set timestamps on files if the backend hasn't already
  set them.  (Debajyoti Bera)
* Allow filters and backends to register mappings between query
  keywords and property names.  (Bera)
* Back out the buggy Mono leak workaround and just require Mono
  1.1.13.5.  (Joe)

Backends:
* Store the date in the indexable's timestamp instead of using a
  dc:date property in the various feed backends.  (Bera)
* Strip HTML tags from Gaim logs so that they don't show up in
  beagle-search anymore.  (Bera)
* Ignore all special files in the file system backend, not just
  symlinks.  (Joe)

Filters:
* Add a package base class for EBuild, RPM, and deb filters.  (Bera)
* Add a Debian package filter.  (Kevin Kubasik)
* Resync entagged-sharp with upstream, which includes the new Ogg
  Vorbis mime type.  (Daniel Drake)

UI:
* Add a calendar tile to the build.  (Joe)
* When running in icon mode, change the Exit menu item to Close.
  (Lukas Lipka)
* Add Escape and Ctrl-W accelerators for closing the window.  (Lukas)
* Use the long date instead in the details pane for IM logs and mail
  messages.  (Lukas)
* Update the description and site fields with the correct properties
  in the RSS feed tile.  (Lukas)
* Various layout fixes in different tiles.  (Lukas)
* Fix an incorrect "From" label in emails that you send.  (Max Wiehle)

Tools:
* Move the -s argument before the username in beagle-crawl-system to
  appease some versions of su.  (Joe)
* Don't hardcode the beagle-settings size, just set a default size.
  (Joe)

Bindings:
* Add the indexable service calls to the C API.  (Bera)

Translations:
* Fix a markup bug in the Hungarian translation.  (Joe)
* Fix a typo in the Czech translation.  (Stanislav Brabec)
* Updated Dutch translation.  (Tino Meinen)
* Updated German translation.  (Hendrik Brandt)

------------------------------------------------------

Version 0.2.5
April 20, 2006

Daemon/Infrastructure:
* Shut the daemon down cleanly on a broken X connection, since we
  can't gracefully recover from it.  (Joe Shaw)
* Unset the DISPLAY variable in the index helper, since it should
  never get an X connection.  (Joe)
* Enabled and disabled backends can now be saved as part of the
  configuration, through the beagle-config tool.  (D Bera)
* Add a new --backends command-line that gives the user more control
  over what backends are started, given the new configuration.  The
  --allow-backend and --deny-backend options are now deprecated.
  (Bera)
* Don't allow the daemon to be run from sudo, since its default
  configuration causes broken permissions in ~/.beagle and ~/.wapi.
  (Joe)
* Make sure HOME or BEAGLE_HOME is set before starting the daemon.
  (Joe)
* Change to using glib's g_spawn to launch programs, rather than
  .Net's own internal Process class.  (Joe)
* If we can't set the IO priority class to idle, at least set the
  priority to the lowest in our current class.  (Joe)
* Use the newner kernel syscall interface for gettid().  (LaMont
  Jones)

Backends:
* Add a bunch of checks to the file system backend to help deal with
  rapid creation and deletion of files and directories.  (Joe)
* Enable snippets for KMail maildir emails.  (Bera)
* Extract text more correctly from Tomboy notes.  (Bera)
* Fix a crash in the EvolutionDataServer backend when new sources are
  added for indexing.  (Joe)

Filters:
* Fix a logical error in the HTML filter which prevented it from
  working properly in 0.2.4.  (Joe)
* Fix compilation of FilterTiff.cs with Mono 1.1.14.  (Bera)
* Add audio/x-vorbis+ogg as a supported MIME type for the music
  filter.  (Joe)
* Open OLE filters (like MS Word) with libgsf's stdio interface rather
  than mmap, so that changes on disk don't corrupt the stream as it's
  being filtered.  (Joe)

UI:
* Reset a finished query so that we don't crash.  (Lukas Lipka)
* Add Ctrl-L as an alternate keybinding to focus the search entry.
  (Dan Winship)
* Don't steal the focus from the search entry if you do a search
  activated by timeout after a search activated by pressing enter.
  (Dan)
* Make sure tiles are redrawn when you expand or contract the group.
  (Dan)
* If an icon theme only has icons that are much larger than what is
  asked for, scale them down to the appropriate size.  (Joe)

Tools:
* Explicitly set our .wapi dir in beagle-crawl-system to a temporary
  directory, so that it works without a home directory.  (Bera)
* Add --list-backends and --list-static-indexes options to
  beagle-info.  (Bera, Joe)
* If we don't match a filter using beagle-extract-content, don't
  assume it's plain text.  (Joe)
* Display correct values for flags in beagle-dump-index.  (Bera)
* Don't install the beagle-crawl-system cronjob into libexec.  (Joe)

Bindings:
* Use pyexecdir instead of pythondir for installing the python
  module.  (Gentoo)

Translations:
* Updated Finnish translation.  (Ilkka Tuohela)
* Updated Hungarian translation.  (Gabor Kelemen, Stanislav Brabec)
* Updated Japanese translation.  (Takeshi AIHANA)
* Updated Swedish translation.  (Daniel Nylander)

------------------------------------------------------

Version 0.2.4
April 7, 2006

Daemon/Infrastructure:
* Use POSIX calls to create Lucene lockfiles, to work around the lock
  obtail timeout bug.  (D Bera)
* Check the first 256 bytes of application/octet-stream to make sure
  it's not actually text/plain.  (Bera)
* Extract a maximum for 40,000 words from filters.  (Bera)
* Allow keyword queries in non-property queries, and make most
  keywords throughout the backends and filters unsearched.  (Bera)
* Fix the thread local storage patch, to fix exceptions and memory
  explosions.  (Joe)
* Add indices to the fallback sqlite databases, dramatically speeding
  up creation and searching.  (Pat Double)
* Do a binary search when searching properties in a hit.  (Bera)
* Print out the Mono version at daemon startup.  (Joe)

Backends:
* Work around pipe URIs in Liferea backend.  (Bera)
* Don't index .system folders in Gaim directories.  (Lukas Lipka)
* Get the Google backend working again, but disable it by default.
  (Bera)

Filters:
* New GIF filter.  (Alexander Macdonald, Joe)
* New XSLT filter.  (Alexander)
* New RPM filter.  (Bera)
* New Ebuild filter.  (Pat)
* Make the new image filters use FilterImage.  (Lukas)
* Fix parsing of Gaim 2.0 logs.  (Lukas, Zafar)
* Fix the external filter to look in $sysconfdir/beagle, rather than
  $sysconfdir.  (Joe)
* Fixed up the HTML and PDF filters to not extract more than 40,000
  words.  (Bera)
* If an error is set when pulling text from filters, stop trying to
  pull.  (Joe)
* Fix an exception when trying to read from an F-Spot database we
  failed to open.  (Joe)

UI:
* Fix an exception when clicking the forward and back buttons.  (Dan
  Winship)
* Fix a crash if we got an empty MIME type.  (Dan)
* Fix crashes when drawing the F-Spot emblem on image tiles.  (Dan,
  Lukas)
* Make the folder tile look more like the file tile.  (Dan)
* Check whether we can thumbnail an item, so that we don't fill up the
  failed thumbnail cache.  (Dan)
* Remove some padding that is no longer needed and looks bad in some
  themes.  (Dan)
* Fix up a few localization issues.  (Dan)
* Fix up some timestamp bugs, especially with files.  (Dan)
* Don't use the MailMessage tile for messages not parsed through
  gmime.  (Lukas)
* Fix the awkwardly positioned date label in the MailMessage's details
  pane.  (Lukas)
* Close the query when we open the Quick Tips page, to prevent the
  page from disappearing.  (Lukas)

Tools:
* Fix the scripts to allow being run uninstalled from the source
  directory, but only from the system directories once installed, in a
  safe manner.  (Joe)
* GNOME HIG fixes for beagle-settings.  (Dennis Cranston)
* Add a --list-filters option to beagle-info.  (Bera, Joe)
* Fix a typo in the crawl-applications rule.  (Lukas)
* Add /usr/local/share/doc to the crawl-documentations rule.  (Lukas)
* Allow bludgeon to be disabled at configure time.  (Kevin Kubasik)
* Install the beagle-extract-content tool.  (Joe)
* Use cron.daily for beagle-crawl-system, rather than cron.d.  (Joe)

Bindings:
* Add a beagle_util_daemon_is_running() to libbeagle.  (Lukas)

Everything Else:
* Check for a newer version of Epiphany.  (Kyle Ambroff, Christian
  Persch)
* Move some more dependencies only required when building the GUI.
  (Bera)
* Allow beagle to be built without the X screensaver extension.
  (Marijn, Lipka)

Translations:
* Added Georgian translation.  (Vladimer Sichinava)
* Added Punjabi translation.  (Amanpreet Singh Alam)
* Updated Dutch translation.  (Vincent van Adrighem)
* Updated Italian translation.  (Luca Ferretti)
* Updated Japanese translation.  (Takeshi AIHANA)
* Updated Lithuanian translation.  (Žygimantas Beručka)
* Updated Spanish translation.  (Francisco Javier F. Serrador)
* Updated Vietnamese translation.  (Clytie Siddall)

------------------------------------------------------

Version 0.2.3
March 17, 2006

Daemon/Infrastructure:
* Allow Beagle to be run as root, although this is still disabled by
  default and not recommended.  (Joe Shaw)
* Allow emails, hostnames, and numeric strings to leak through noise
  filter.  (D Bera)
* Don't read the whole file if enough snippets are found; speeds up
  snippet extraction a lot.  (Bera)
* More closely track cached IndexReaders, fixing a race which would
  result in exceptions.  (Joe)
* Don't use thread-local storage in Lucene due to a Mono leak up
  through 1.1.13.4.  This fixes huge memory leaks in the daemon.
  (Joe)

Backends:
* Use message headers to detect incoming/outgoing mails in KMail
  backend.  (Bera)
* Fix a hard-to-hit exception when checkpointing Evolution mail data
  to disk.  (Joe)

Filters:
* Add a PreLoad flag so filters can indicate whether or not to preload
  files.  (Joe)
* New video filter which uses mplayer to extract metadata.  (Alexander
  Macdonald, Joe, Bera)
* New BMP filter.  (Alexander)
* New filter which lets administrators configure external programs for
  filtering more unusual or specialized file types.  (Joe)
* Update our entagged-sharp version, which include a few small fixes
  for audio filters.  (Daniel Drake)
* Eliminate a critical warning from GMime about address types on
  emails with undisclosed recipients.  (Joe)
* Handle a new failure condition from GMime when trying to read a
  message toward the end of a stream.  (Joe)

UI:
* Say "Start Search Service" rather than "Start Daemon".  (Dan
  Winship)
* Don't clip the forward and back buttons if the text size is smaller
  than the height of the icons.  (Joe)
* Scale launcher icons to fit the requested size.  (Joe)
* Add the "Open" action back for Folders.  (Lukas Lipka)
* Use desktop-launch when possible, for KDE support.  (Dan)
* Escape URIs before passing them to apps.  (Daniel, Brandon Hale)

Tools:
* Fix a crash in beagle-build-index when not using text caches.
  (Alexander Larsson)
* Be extra paraoid in beagle-manage-index so that we don't delete any
  user data.  (Joe)

Everything Else:
* Fix a compilation error on some 64-bit machines.  (Joe)
* Updated Beagle icons in the Firefox extension.  (Garrett LeSage)

Translations:
* Updated Bulgarian translation.  (Alexander Shopov)
* Updated Czech translation.  (Jakub Friedl)
* Updated Finnish translation.  (Ilkka Tuohela)
* Updated Galician translation.  (Ignacio Casal Quinteiro)
* Updated Japanese translation.  (Takeshi AIHANA)
* Updated Vietnamese translation.  (Clytie Siddall)

------------------------------------------------------

Version 0.2.2
March 6, 2006

Daemon/Infrastructure:
* Fix an access violation crash when opening snippets on large
  documents.  (Joe Shaw)
* Update our internal sqlite bindings to include many upstream fixes.
  (Daniel Drake, Joe)
* Fix a crash in the sqlite code on 64-bit machines.  (Joe)
* Fix a nasty bug in which certain items with non-file URIs weren't
  being indexed at all.  (Joe, D Bera)
* Fix a bug in which temp files weren't being cleaned up if a document
  wasn't indexed.  (Joe)
* Exit the daemon with error code 1 if it completely fails to run.
  (Joe)
* Fix a bug in libbeagle in which some asynchronous requests would
  never return.  (Joe)
* Bump up priorities of child indexable tasks so that they don't queue
  up for a long time when the daemon is very busy.  (Joe)
* Fix an occasional but harmless exception on startup, and don't
  unnecessarily create BeagleConsole log files.  (Joe)
* Add keyword mappings for querying image comments and tags.  (Bera)
* Query the screensaver X extension before using it.  (Joe)
* Exit with an error if an unknown argument is passed into beagled.
  (Likas Lipka)

Backends:
* Fix the file system backend so that you can now index the root
  directory.  (Joe)
* Index publisher/channel title information from RSS feeds.  (Bera)
* Fix a leak in the KMail backend.  (Joe)
* Fix a useless cache that was leaking memory in the file system
  backend.  (Joe)
* Handle negative date values in the Liferea backend.  (Joe)
* Use the sent date when timestamping Evolution IMAP messages.  (Joe)
* Fix an exception with Evolution mails that used labels.  (Joe)
* Support new gaim 2.0 log files.  (Joe)
* Add checks to the Evolution Data Server backend so that having an
  unsupported e-d-s doesn't kill the daemon.  (Joe)
* Allow loading of backends from BEAGLE_BACKEND_PATH environment
  variable.  (Joe)

Filters:
* Extract tags and comments from images with Digikam metadata.  (Bera)
* Don't pass in the document's title from the Firefox extension, since
  it will be extracted in the HTML filter.  (Bera)
* Pass encoding/charset information from the Firefox extension to the
  HTML filter so that documents that specify it in HTTP headers and not
  the HTML are indexed correctly.  (Joe)
* Catch exceptions stemming from sqlite version mismatches when
  opening the F-Spot database.  (Joe)

UI/Tools:
* Fix colors and theming for many themes in beagle-search, including
  gtk-qt, Crux, and others.  (Dan Winship)
* Fix a crash when the spinner icon isn't available.  (Dan)
* Improve the UI when displaying many matches at once.  (Dan)
* Added a Tomboy note tile.  (Joe)
* Added a calendar tile.  (Dan)
* If there is only a single category of matches, start out in "Show
  More" mode.  (Dan)
* Don't display mail attachments as blank mail tiles.  (Dan)
* Allow results to be sorted by title, timestamp, and score.  (Dan)
* Fix thumbnailing in beagle-search, and make it asynchronous so that
  it doesn't block the UI.  (Dan)
* Fix a bug in which tiles would be unselected if a tile was resized
  or re-sorted.  (Dan)
* Fix a bug in which focus was lost if the user resized the details
  pane.  (Dan)
* Don't hide the details pane if the user clicks somewhere that isn't
  a tile.  (Dan)
* Hide the details pane when starting a new search.  (Dan)
* Hide the details pane if the selected hit disappears.  (Dan)
* Don't automatically focus the search results if the search happened
  because of a timeout.  (Dan)
* Display the full path to image files.  (Lukas)
* Don't display blank titles for files with empty title fields.  (Lukas)
* Make the generated thumbnails bigger in the details pane.  (Lukas)
* Load the buddy icon for the IM details pane.  (Lukas)
* Added support to beagle-search for the hide/show keybinding in icon
  mode.  (Joe)
* Added a page to tell root users that Beagle cannot be used as root.
  (Joe)
* Make the creation of tiles easier by sharing much of the details
  code between them.  (Dan)
* Fix a problem in which the background of the tray icon wasn't
  transparent on KDE panels.  (Dan)
* Put the right version and copyright information inside the
  beagle-search about box.  (Dan)
* Various local time vs. UTC bugs in several tools.  (Dan, Joe)
* Many other localization fixes.  (Dan, Joe)
* Fix a file descriptor leak in the IM log viewer.  (Joe)
* Fix a quoting problem with beagle-query so that quoted phrases are
  searched properly.  (Joe)
* Fix beagle-build-index to handle failure conditions better.  (Joe)
* Be even more paranoid about deleting the target directory in
  beagle-build-index; refuse to do it if any non-Beagle files or
  directories are present.  (Joe)
* When creating indexes with beagle-build-index, don't make the text
  caches unreadable by default.
* Use ionice in beagle-crawl-system to set the IO priority to idle.
  (Joe)
* Add a new option to beagle-dump-index to get information about a
  file from the index.  (Bera)

Everything Else:
* Most processes set their names using prctl(); meaning you can now
  use pidof or killall when dealing with Beagle processes.  (Joe,
  Aaron Bockover)
* Fix our sqlite version detection in configure.in.  (Daniel)
* Only install beagle-settings.desktop when ENABLE_GUI is chosen.
  (Daniel)
* Internationalize the beagle-search.desktop file.  (Joe)
* Install mono's mdb files so that stack traces include additional
  information for easier debugging.  (Joe)

Translations:
* Added Italian translation.  (Luca Ferretti)
* Updated British English translation.  (Christopher Orr)
* Updated Bulgarian translation.  (Rostislav Raykov, Vladimir Petkov)
* Updated Czech translation.  (Jakub Friedl)
* Updated Dutch translation.  (Vincent van Adrighem)
* Updated Finnish translation.  (Ilkka Tuohela)
* Updated Galician translation.  (Ignacio Casal Quinteiro)
* Updated Hungarian translation.  (Gabor Kelemen)
* Updated Lithuanian translation.  (Žygimantas Beručka)
* Updated Norwegian bokmål translation.  (Kjartan Maraas)
* Updated Polish translation.  (Krzysztof Rosiński)
* Updated Russian translation.  (Leonid Kanter)
* Updated Simplified Chinese translation.  (Funda Wang)
* Updated Spanish translation.  (Francisco Javier F. Serrador)
* Updated Vietnamese translation.  (Clytie Siddall)

------------------------------------------------------

Version 0.2.1
January 30, 2006

Daemon/Infrastructure:
* Split the UI elements from the non-UI elements.  (D Bera, Joe Shaw)
* Reenable Sqlite 3 support, but only if you have 3.3.1 or
  newer.  (Joe)
* Purge Sqlite databases if the major versions mismatch.  (Joe)
* Fix an unlikely exception when shutting the daemon down in the
  middle of its startup process.  (Joe)
* Don't create a user text cache if we dealing only with static
  querables.  (Bera)
* Make the text cache only readable by the user.  (Joe)
* Remove the non-working non-inotify file system watcher.  (Joe)
* Add Hangul support to Lucene.  (dittos@gmail.com, Young-Ho Cha)
* Use locale-independent lower casing in the Sqlite code; fixes a
  problem particularly with Turkish.  (Joe)

Backends:
* Rename the Evolution mail backend from "Mail" to
  "EvolutionMail". (Joe)
* Move the Evolution mail backend into an external assembly with the
  Evolution Data Server backend.  (Joe)
* Filter out certain files when walking Evolution IMAP directories,
  reducing time and memory usage.  (Joe)
* Decode the subject on Evolution IMAP messages.  (Joe)
* Store flags as mutable properties in the Evolution mail index,
  speeding up reindexing mail.
* Fix the Konqueror backend to correctly report current indexing
  status.  (Bera)

Filters:
* Add a filter for TIFF files.  (Larry Ewing)

UI/Tools:
* Fix sorting to work during live queries.  (Lukas Lipka)
* Fix a crash when old queries had updated after the user had started
  a new one.  (Lukas, Joe)
* Fix the image tile to still work even if an image file lacks an
  extension.  (Lukas)
* Don't display a "..." snippet while loading IM snippets.  (Lukas)
* Fix a bug where markup was being displayed in some tile snippets
  instead of correctly bolding the text.  (Lukas)
* Fix a bug where we weren't caching the snippet for IM tiles. (Lukas)
* Fix the background color on the viewport in the main pane.  (Dan Winship)
* Specify full library names in the tray icon so we don't depend on
  devel packages.  (Dan)
* Many 64 bit fixes to the notification area icon.  (Dan)
* Remove a bunch of unused images from the image assembly.  (Joe)
* Remove the accidentally used GPL spinner code from Epiphany and
  replace it with a managed, MIT-licensed replacement.  (Dan)
* Fix the beagle-search desktop file to have the right icon.  (Joe)
* Install the icon into the system pixmaps directory.  (Joe)
* Update the IM log viewer to use the new icon.  (Joe)
* Add some warning text to beagle-build-index about the target
  path.  (Joe)

Translations:
* Added Traditional Chinese (Hong Kong) translation.  (Chao-Hsiung Liao)
* Updated Traditional Chinese (Taiwan) translation.  (Chao-Hsiung Liao)
* Updated German translation.  (Hendrik Brandt)
* Updated Dutch translation.  (Tino Meinen)
* Updated Finnish translation.  (Ilkka Tuohela)
* Updated Catalan translation.  (Jordi Mas i Hernandez)
* Updated Danish translation.  (Lasse Bang Mikkelsen)
* Updated Canadian English translation.  (Adam Weinberger)
* Updated Hungarian translation.  (Gabor Kelemen)
* Updated Greek translation.  (Nikos Charonitakis)

Everything Else:
* Add shared-mime-info as a required dependency.  (Joe)

------------------------------------------------------

Version 0.2.0
January 20, 2006

UI/Tools:
* New user interface, named beagle-search.  (Lukas Lipka, Dan Winship,
  Fredrik Hedberg, Joe Shaw)
* Old user interface (Best) removed.  (Dan)
* Explicitly blacklist the documentation index when searching using
  beagle-search.  (Joe)
* Fix up the beagle-extract-content testing tool to clean up after
  tmpfiles.  (Joe)
* Many fixes to the bludgeon testing tool.  (Joe)

Daemon/Infrastructure:
* Add a one minute delay in starting the indexing process when the
  daemon is started.  (Joe)
* FINALLY fix the dreaded stale tmpfile bug.  (Joe)
* Cache Lucene IndexReaders whenever we can, drastically reducing the
  number of allocations made and saving memory.  (Joe)
* Move to XdgMime for mime type detection.  (Bera)
* Fix a compatibility problem with Mono 1.1.11 and newer that caused
  settings to not be loaded correctly.  (Joe)
* Fix a pegged CPU and memory problem when loading the text cache for
  some files with non-ASCII characters.  (Joe)
* Always use lowercase for file extension queries.  (Bera)
* Allow clients to set the QueryDomain they wish to search in.  (Joe)
* When generating snippets, get six prior and following words rather
  than two for better context.  (Joe)
* Store search-only properties as unstored Lucene fields.  (Bera)
* Use a special namespace to hint filters instead of a stored
  property.  (Bera)
* Fix an exception in the inotify code when a file is deleted before a
  change can be handled.  (Joe)
* Fix a bug in which a stream was being saved to disk twice in the
  middle of filtering.  (Joe)

Backends:
* Fix a nasty memory inefficiency when crawling over read-only files
  in the file system backend.  (Joe)
* Use GMime's new StreamWrapper in the Evolution and KMail backends,
  which should dramatically reduce allocations and save memory.  (Joe)
* Remove gmime dependency from Akregator backend.  (Bera)
* Update Blam backend to match the current file format.  (Bera)
* Read KMail folder locations from the kmailrc file.  (Bera, Vaclav
  Slavik)
* Changed KMail folder detection to allow stale index files.  (Bera)

Filters:
* Also use GMime's StreamWrapper in the mail filter.  (Joe)
* Store email addresses as non-keywords, so that searching for just
  email addresses works again.  (Joe, Bera)
* Break up email address into fragments, so that searching for "foo"
  or "bar" will match "foo@bar.com".  (Joe)
* Update PNG filter to be entirely managed and extract more metadata.
  (Larry Ewing)
* Update JPEG and PNG filters to extract embedded XMP data.  (Larry)
* Added Ruby Filter.  (Uwe Hermann)
* Store message ID and references from email for tracking
  conversations.  (Bera).
* Truncate indexing of shell scripts to 20k.  (Joe)
* Touchups to the Source and OpenOffice filters.  (Lukas)
* Index "Type" in .desktop files.  (Bera)
* Use the "meta" namespace for meta tags in HTML files.  (Bera)
* Fix some memory management issues in mail filter.  (Joe)

Bindings:
* Many libbeagle updates.  (Joe, Bera)
* Many Python binding updates.  (Bera)
* Added Python example script.  (Raphael Slinckx)

Translations:
* Updated Canadian English translation.  (Adam Weinberger)
* Updated Danish translation.  (Lasse Bang Mikkelsen)
* Updated Dutch translation.  (Tino Meinen)
* Updated Hungarian translation.  (Gabor Kelemen)
* Updated Finnish translation.  (Ilkka Tuohela)
* Updated Norwegian Bokmål translation.  (Øivind Hoel)
* Updated Vietnamese translation.  (Clytie Siddall)

Everything Else:
* Remove gecko-sharp2 and Mozilla dependencies.  (Dan)
* Detect Mono version to work around SharpZipLib compatibility.  (Joe)

------------------------------------------------------

Version 0.1.4
December 21, 2005

Daemon/Infrastructure:
* Clean up snippet requesting API to be much simpler for clients.
  (Joe Shaw, Jon Trowbridge)
* Fix libbeagle to allow snippets to be requested.  (Joe)
* Fix date range queries in libbeagle.  (D Bera, Joe)
* Fix filtering by source in libbeagle.  (Joe)
* Fix file extension queries.  ie, "ext:jpg".  (Bera)
* Pre-initialize the serializer in connection handler.  Removes the slight
  lag in the first response.  (Bera)
* Added beagle:NoPunctFilename property to files.  (Jon)
* Clean up error handling in the message passing code to aid
  debugging.  (Joe)
* Add unstored properties, so that indexables can send "hints" to
  filters.  (Bera)
* Fix properties to be both searched and stored by default in
  libbeagle.  (Joe)
* Wait up to a minute for the index helper process to start, as it may
  take longer than the previous 4 seconds to respond to messages.
  (Bera, Joe)
* Fix an unlikely race in the messaging server which would throw an
  exception if the daemon was shut down before it had finished
  starting.  (Joe)
* Remove the unused "cancelled" query response.  (Joe)

Backends:
* Enable the Konqueror history backend by default.  (Bera)
* Use indexable hints in KonqQueryable to pass charset information to the 
  filter.  (Bera)
* Check for additional inotify events when indexing Gaim logs, so that
  they are indexed whenever a message is received and not only when the
  conversation is closed.  (Joe)
* Add progress percentages to the Evolution mail backend.  (Joe)

Filters:
* Fix a bug which caused the daemon to hang when indexing certain 
  Powerpoint files.  (Veerapuram Varadhan)
* Entagged-sharp tree update.  (Daniel Drake)
* Id3v2.4 tag parsing.  (Raphael Slinckx)
* ASF/WMA file support.  (Christian Laireiter)
* Extract and index keyword fields from OpenOffice documents.  (Daniel
  Naber)
* Handle multipart/alternative correctly in the mail filter, only
  indexing the richest alternative we can support.  (Joe)
* Don't set the hasAttachment flag based on multipart/alternative parts.
  (Joe)

UI/Tools:
* Lots of improvements to Bludgeon.  (Jon)
* Set the source in beagle-build-index, and allow it to be
  configurable.  Fixes a bug where snippets were not returned from
  static queryables that had text caches.  (Joe)
* Fix a cut-and-paste error beagle-crawl-system to correctly pass in
  deny patterns to --deny-pattern.  (Joe)

Translations:
* Added Lithuanian translation.  (Žygimantas Beručka)
* Updated Japanese translation.  (Takeshi AIHANA)
* Updated Traditional Chinese translation.  (Chao-Hsiung Liao)
* Updated German translation.  (Hendrik Brandt)

Everything Else:
* Look for Firefox 1.5 headers in a few different places for best
  compatibility.  (Joe)
* Get the Evolution library directory from evolution-sharp, and pass
  it into the beagled script.  (Joe, Ryan Skadberg)

------------------------------------------------------

Version 0.1.3
December 5, 2005

Daemon/Infrastructure:
* Python bindings. (Raphael Slinckx, Joe Shaw)
* Fix a crash when trying to search backends without a secondary index. (Joe)
* Use Mono's UnixClient and UnixListener, now that we require mono
  1.1.10. (Joe)
* Use Mono.Unix.Native. (Daniel Drake)
* Added support for index-listener queries: these are special queries that
  return no initial results but which get live query notification of
  every index change. (Jon Trowbridge)

Backends:
* Gaim log backend optimizations and cleanups. (Daniel)
* Fixed a bug in LuceneFileQueryable where it wasnt setting the
  attribute of a file shared across multiple indexables. (Bera)
* Properly use LuceneFileQueryable in blog backends. (Bera)
* Initial release of Konqueror webhistory backend. (Bera)

Filters:
* FilterHtml optimisations, change it to be event driven instead of DOM-based.
  (D Bera)
* Use charset meta-type specified in HTML file to determine file encoding.
  (Bera)
* Extract non-english URLs in html documents correctly. (Bera)
* New Shellscript filter. (Varadhan)
* Fix for reducing memory-allocations in Filter.cs. (Varadhan)
* Fix for reducing memory-allocations in FilterSource.cs (Varadhan)
* Updated image filters. (Lukas)
* Index width and height for JPEG images into the correct property. (Lukas)
* Added fspot:IsIndexed field to images. (Lukas)
* Index category field for .desktop files. (Lukas)

UI/Tools:
* Fixed the blog tile. (Daniel)
* Fix some problems in the beagle-crawl-system script that would result
  in TextCaches being created incorrectly, causing problems when
  searching.  (Sylvain Goletto, Joe)
* Fix a crash of the Epiphany extension on x86-64 machines.  (Stanislav
  Brabec, Joe)
* Save best window settings even when ran with --no-tray. (Bera)
* Allow beagle-extract-content to store output in a file. (Bera)
* Stop live-query when "clear" button is pressed in Best. (Bera)

* Translations:
* Updated Hungarian translation. (Gabor Kelemen)
* Updated Spanish translation. (Francisco Javier F. Serrador)

Everything Else:
* Cleaned up compiler warnings. (Joe, Lukas)
* Small fixes to the included spec file. (Richard Dawe)
* Also include pre-i18n desktop files in the tarball; fixes a problem
  where you couldn't "make" after a "make clean" in the 0.1.2 tarball.
  (Joe)
* Best can now be built on firefox 1.5. (Daniel)
* Allow beagle to be built against Mozilla xulrunner.  (Joe)

------------------------------------------------------

Version 0.1.2
November 10, 2005

Daemon/Infrastructure:
* Added date range searches. (Joe Shaw, Jon Trowbridge)
* Fixed a bug where sending a query to the daemon would cause a helper
  process to start.  (Joe)
* Fixed a bug in libbeagle to use our query parser rather than plain text.
  (Joe)
* Added keyword based query support e.g. title:beagle. (D Bera)
* Updated pruning of old log files. (Lukas Lipka)
* Updated to dotLucene 1.9 RC1. (Daniel Drake)
* Lucene locking bug fix. (Daniel)
* Small lucene optimizations. (Daniel)
* Consolidated glue code into two libraries: libbeagleglue and
  libbeagleuiglue. (Daniel)
* Fixed two scheduler-related crashes associated with a null task source.
  (Daniel)
* New Uri serialization scheme. (Daniel)
* Allow inotify to be build conditionally. (Daniel)
* Updated our local copy of SqliteClient with recent upstream changes.
  (Daniel)
* Switched from Mono.Posix (which is deprecated) to Mono.Unix. (Daniel)
* Fixed some possible instances of unhandled exceptions in the
  inotify and scheduler code. (Joe)
* Fixed a bug in the scheduler's immediate priority throttling code.
  (Joe)
* Added catch-all exception handlers to beagled, the index helper, and
  beagle-build-index so that if an unhandled exception happens, the
  program exits immediately and doesn't leave around a hung process.
  (Joe)
* Fixed a race in which the user could start a query against an empty
  index, documents could be added to the index, but live queries would
  never be updated until the query was rerun. (Joe)
* Fixed a bug in which the document count in the daemon wasn't being
  updated after a flush in the helper. (Joe)
* Converted all times stored in the index and file attribute store to UTC,
  to avoid time zone issues. (Jon, Joe, Bera)
* Added a status infrastructure to the daemon, which allows clients to see
  if the daemon is in the process of indexing.  (Joe)
* Fixed some bugs related to date range searches, particularly the start
  date.  (Joe)
* Reuse StringBuilders in scheduler and query code. (Daniel)
* Fixed handling of dangling locks. (Daniel)
* Fixed another lucene leak. (Marcus)
* Switched to thread-local static buffers when writing indexables out to
  temporary files.  This avoids a lot of allocations. (Jon)
* Reuse StringBuilders in the IM Log parser and DirectoryWalker. (Jon)
* Small improvements to the beagled and index helper wrapper scripts. (Jon)
* Revamped logging. (Jon)
* Fixed marshaling of C strings to StringBuilders in sys_readdir. (Joe,
  Jon)
* Relative paths in BEAGLE_HOME and BEAGLE_STORAGE now work. (Jon)
* Added --indexing-test-mode to the daemon, which causes it to shut
  down automatically when indexing is complete. (Jon)

Backends:
* Moved gaim and kopete log parsing into a filter.  This can dramatically
  decrease the amount of memory used by the daemon. (Daniel)
* If a shutdown is request while the Evolution mail crawler is running,
  short-circuit for a faster shutdown. (Joe)
* Add a new inotify-based method of writing data out to the indexing
  service. (Joe)
* Fixed a bug in which certain backends would index much more slowly if
  they had already seen data, like mail. (Joe)
* Changed Liferea, Blam and Akregator backends to use stream parsing
  instead of serializer. (D Bera)
* Better warning if kmail backend finds bad kmail mfolder. (D Bera)
* Index the full name in the addressbook backend, so that searches on
  middle names match.  (Joe)
* In the file system backend, we now store the file extension in a property
  and drop the file extension in the property containing the
  "textified" name. (Jon)

Filters:
* Fixed 316120 - PPT filter crash due to gsf-sharp. (Veerapuram Varadhan)
* Fixed DOC filter/wv1-glue to be compatible with wv-1.2.0. (Varadhan)
* Better infrastructure for PPT and DOC filter. (Varadhan)
* Exclude "include", "main", and "NULL" from the C filter, as those are
  very common, albeit not language keywords.  (Joe)

UI/Tools:
* Ported the Firefox extension to use the new indexing service, which
  speeds up the extension and uses vastly fewer resources.  (Joe)
* Bumped the supported version of the Firefox extension to 1.5, as it is
  reported to work with the Firefox 1.5 betas. (Joe)
* Adding clear function to best. (Dennis Snell)
* Save Best window position, dimension and search history across
  sessions. (D Bera)
* Fixed a bug in mail tiles for determining if the hit is a
  mail-attachment. (D Bera)
* Sanitize beagle-index-url ot our standards. (Lukas)
* Show artist in music tile. (Lukas)
* ImLogViewer tweaks and improvements. (Daniel)
* Use more gtk-sharp bindings for better GNOME integration. (Daniel)
* Make the number of items displayed in Best configurable through
  beagle-settings.  (Mario Manno, Joe)
* I18nize the .desktop files.  (Gabor Kelemen)
* Fixed best to start up correctly on AMD64. (Jack Miller)
* Added beagle-dump-index tool. (Jon)
* Fixed beagle-extract-content to always report the mime type (even if
  there is no matching filter) and to always sort the properties
  before printing them. (Jon)

Web Services:
* Enable beagled with web services to support --replace option, and to
  shutdown and restart cleanly. (KN Vijay)

Translations:
* Updated Canadian English translation. (Adam Weinberger)
* Updated Bulgarian translation. (Vladimir Petkov)
* Updated Spanish translation. (Francisco Javier F. Serrador)
* Updated Simplified Chinese translation. (fwang)

------------------------------------------------------

Version 0.1.1
October 3, 2005

Daemon/Infrastructure:
* Keep track of the number of tasks we've processed in a given run
  through the scheulder and yield if we pass a threshold from the CPU
  stuff.  (Joe)
* Add a new task type which removes all items which match a certain
  property.  (Joe)
* Fixed leaking index file descriptors. (Daniel Drake)
* Force the encoding of XmlSerializer to be UTF-8 since it defaults to
  the current system encoding.  (Joe)

Backends:
* Initial KMail support. (D Bera)
* Fix an exception in the file system backend when trying to ignore
  paths whose parent wasn't also being watched.  (Lukas Lipka, Joe)
* Correctly handle removed items in the Evolution Data Server backend.
  (Joe)
* Use a new URI scheme that is compatible with Evolution 2.4, so that
  calendar items and contacts can be opened in Evo.  (Joe, Lukas)
* Fix an exception in the Gaim backend when not using inotify.  (Joe)
* Rename the IMLog backend to GaimLog. (Lukas)
* Better handling of directories with exotic permissions in the file
  system backend. (Jon Trowbridge)

Filters:
* Add a bunch of special text mime types found in shared-mime-info for
  the plain text filter.  (Joe)
* Support OOo Draw files in OpenOffice filter. (David Richards)

UI/Tools:
* Fix an exception that would show up if you used beagle-index-url when
  the IndexingService backend wasn't enabled.  (Joe)
* Allow best to start beagled on amd64. (Jack Miller)

Translations:
* Updated Bulgarian translation. (Alexander Shopov)
* Updated Chinese translation. (fwang)
* Updated Dutch translation. (Wouter Bolsterlee)
* Updated German translation. (Hendrik Brandt)
* Updated Japanese translation. (Takeshi AIHANA)
* Updated Vietnamese translation. (clyties)

Everything Else:
* Build the Evolution Data Server backend into its own assembly and
  install it into the system backend directory, allowing distributors to
  package and ship it separately from the main Beagle package.  (Joe)
* All the stuff I forgot. (All of the people I forgot)

------------------------------------------------------

Version 0.1.0
September 15, 2005

Daemon/Infrastructure:
* New and vastly improved Lucene infrastructure. Highlights include:
  + The indexing and querying code has been split.  The entire
    architecture is much cleaner, and we have been able to eliminate
    several horrible hacks that had been introduced for the benefit
    of the file system backend.
  + The index is now semi-transactional; we can make now make some
    guarantees about the index and the beagle-specific filesystem
    metadata not getting dangerously out-of-sync in the event of a
    crash.
  + It is now possible to efficiently modify certain index properties.
  + Hits now are returned in time-order, not score-order.  Scores
    are still available, though will not agree with the old scores
    in some cases.
  + Querying is faster, our query language is better, and the query
    semantics are much more sane.
  + We are much more intelligent about when we optimize the Lucene indexes.
  + Indexables are now abstract indexing requests, and IndexableGenerators
    can thus now manipulate the index in arbitrary ways.
  + Many, many bugs have been fixed.
  (Jon Trowbridge, Joe Shaw, Fredrik Hedberg, Daniel Drake)
* Many bugs involving queries have been fixed, and the query semantics have
  changed.  Querys now default to 'AND', not 'OR'. (Jon, Joe)
* Fixes to avoid stop words ("a", "the", etc.) causing problems during
  queries. (Joe)
* When using a remote home directory, create the unix domain socket
  locally since some filesystems don't support them (like smbfs). (Joe)
* When capping the number of hits returned from the daemon, we now
  return the N most recent hits, not the N highest-scoring hits. (Jon)
* Don't reload config files that haven't changed since we last loaded them.
  (Daniel)
* Reduce inotify watch masks when we can. (Daniel)
* Maintain parent-child relationships when watches are moved. (Daniel)
* Fix a crasher in libbeagle related to using g_stat(). (Joe)
* Update to gtk-sharp 2.x APIs. (Joe, Lluís Pàmies)
* Add an --enable-xml-dump configure option for debugging message
  passing between components. (Joe)
* Many fixes to libbeagle to keep it up-to-date with the C# code. (Joe)
* Fixed encoding of keyword property names in Lucene. (Debajyoti Bera)
* Use gnome-vfs's slow mime sniffing on files with the .xml extension.
  (Chris Lahey)
* Local index-synchronization when using NFS & Samba. (Fredrik, Joe)
* Support IO priorities by setting the indexing thread to idle. (Fredrik,
  Robert Love)
* Workaround a bug in Mono.Posix.Syscall.readdir to support strange
  encodings. (Fredrik)
* Use transactions more efficiently in our sqlite databases. (Jon)
* Don't poll to check for Inotify.Stop calls while snarfing events. (Jon)
* Don't leak files in /tmp on exceptions or daemon shutdown. (Jon)
* Scheduler improvements and bug fixes.  Tasks are now round-robined
  correctly. (Jon)
* Pass a stemmed, stopword-free version of the query back to the client
  along with the query results, for use by the client app when
  highlighting matches, etc. (Jon)

Backends:
* Migrated all of the backends to the new lucene infrastructure.  (Joe,
  Fredrik, Daniel, Jon)
* The file system backend has been extensively refactored.  It still isn't
  perfect, but has been substantially improved. (Jon, Daniel, Joe, Fredrik) 
* Allow file system exclude patterns/paths to be set through
  beagle-config. (Daniel)
* Misc filesystem backend fixes to do the right thing when we add/remove
  exclude patterns/paths. (Daniel)
* Fix removing of file system roots. (Daniel)
* Merge the concepts of 'scan' and 'crawl' in filesystem backend. (Daniel)
* Rewrite Evolution Data Server backend to support all local
  addressbooks and calendars with change notification, based on Varadhan's
  work in evolution-sharp. (Joe)
* Fix a major bottleneck in starting up the mail backend with IMAP
  accounts that would use large amounts of CPU at startup. (Joe)
* Fix a bug where IMAP accounts against Exchange servers weren't being
  indexed. (Joe)
* Index all IM accounts, not just the first one of each type, in the
  Evolution Data Server backend. (Joe)
* Support snippets, text-caching and hit filtering on static-indexes.
  (Fredrik)
* Initial Kopete support. (Fredrik)
* Better cache buddy lookups with Gaim and Kopete. (Fredrik)
* More gracefully handle the case of imap folders with unknown accounts. (Jon)

Filters:
* Cleanup the filtering code. (Fredrik)
* Add support for Apple/mp4 files (m4a/m4p). (Daniel)
* Index both id3v1 and id3v2 tags in mp3 files. (Daniel)
* Fixed small bugs where some tag fields weren't being read from some audio
  formats. (Daniel)
* Add support for Amiga tracker audio files (s3m, it, mod, xm). (Daniel,
  Boris Peterbarg)
* Don't leave zombie processes when indexing PDF and spreadsheet
  files. (Daniel)
* Lower the priority class when calling pdfinfo, so that it doesn't
  dominate the CPU on expensive runs (Paul Betts)
* Fix filtering of gaim logs. (Jon, Joe)
* Index names in emails as text, not keywords. (Joe)
* Fix serious filtering bottlenecks when indexing large documents
  (mostly from OpenOffice). (Joe, Jon, Fredrik)

UI/Tools:
* Arguments might be part of a command-line, so split them out before
  executing a tile action. (Joe)
* Allow best to launch commands which are 'quoted'. (Daniel)
* Add a mozilla preference which enables/disables the plugin in a
  persistent way. (Joe)
* Allow beagle-manage-index to work on versioned indexes. (Daniel)
* Flac files are now displayed using the flac tile. (Daniel)
* Maildir files are now displayed using the mail tile. (Daniel)
* Don't use evolution to open non-evolution mails in the mail tile. (Daniel)
* Use the title of the document as the main link in a file tile if set.
  Especially nice for HTML files. (Joe)
* Don't try to put presence on the mail tile if galago support is on,
  but evolution-sharp isn't. (Joe)
* Fix a date bug where some results would display as happening "-N days
  ago". (Joe)
* Thumbnail file hits. (Debajyoti, Joe)
* Don't run the crawler as part of cron.daily, because it can happen at
  any point during the day and it's an expensive operation.  Add a crontab
  entry which runs at 4:30 am. (Joe)
* Update the Best keybinding code from Tomboy.  Fixes many bugs related
  to different modifiers (num lock, scroll lock, alt, etc.) and fixes many
  "BadValue" crashers. (Alex Graveley, Joe)
* Updated tray icon code from libegg.  This fixes rendering glitches and
  other problems with the best tray icon. (Rodrigo Moya)
* Set IO priorities in beagle-build-inidex and beagle-manage-index. (Joe)
* Have beagle-build-index restart itself if it detects its memory usage
  is getting too high, and add a command-line option to disable that
  behavior. (Joe)
* Fix the Firefox extension from popping up error dialogs left and right
  if ~/.beagle doesn't exist. (Joe)
* beagle-extract-content fixes. (Debajyoti)
* Fixed a security problem in beagle-crawl-system. (Gary Ekker)
* Crawl documentation with the .docbook extension. (Chris)
* System-wide crawler indexing documentation, windows partitions etc.
  (Fredrik)
* Various "desktop-launch" fixes to support KDE in SUSE. (Fredrik)

Web Services:
* Improved Web Interface UI including background color for search box and
  drop-down in Web interface. (Vijay KN)
* Added new option in WebInterface to selectively enable/disable
  NetworkedBeagle search on per-query basis, when NetworkedBeagle nodes are
  configured.  (Vijay)
* Support for display of Images in web interface, when hits are images. (Vijay)
* Hit results returned for external accesses now restricted to File type
  resources alone.  Removed duplicate definitions of Web Service data types.
  (Vijay)

Translations:
* Added Finnish translation. (ituohela)
* Added Macedonian translation. (Арангел Ангов, strojmir)
* Added Ukrainian translation. (Maxim Dziumanenko)
* Updated Bulgarian translation. (Rostislav Raykov)
* Updated British English translation. (Christopher Orr, James Ogley)
* Updated Canadian English translation. (Adam Weinberger)
* Updated Catalan translation. (jmas)
* Updated Chinese translation. (Chao-Hsiung Liao)
* Updated German translation. (Hendrik Brandt)
* Updated Greek translation. (pkst)
* Updated Hungarian translation. (Gabor Kelemen)
* Updated Norwegian translation. (Terance Sola)
* Updated Spanish translation. (Francisco Javier F. Serrador)
* Updated Vietnamese translation. (clyties)

Everything Else:
* Added bludgeon, a testing tool. (Jon)
* Fix a compile error that popped up when mono's compiler rules became
  more strict. (Joe)
* All the stuff I forgot. (All of the people I forgot)

------------------------------------------------------

Version 0.0.12
July 11, 2005

Daemon/Infrastructure:
* Add the libbeagle C API (Imendio, Joe Shaw)
* Big changes to the filtering code to make it more flexible (Joe, Fredrik
  Hedberg)
* Match multiple filters per indexable, use the highest ranking
  match (Fredrik)
* Match filters with a combination of Uri, Extension and/or
  MimeType (Fredrik)
* Allow FilterFactory to fall throught the filter list in the case of
  an error (Fredrik)
* Introducted events / callbacks when indexables are filtered (Fredrik)
* Mark files in the file system backend with the Filter used (Fredrik)
* Re-index files when a newer filter is available (Fredrik)
* Don't instantiate a new LuceneDriver for every remote indexing
  request (Fredrik)
* Allow us to disable Lucene locking per directory (Fredrik)
* Handle more failure conditions in the message passing code (Joe, Jon
  Trowbridge)
* Add support for running without extended attributes, and speed up the
  sqlite fallback by using transactions (Joe, Fredrik)
* Use UTC timestamps in Lucene so that we're not boxing integers
  unnecessarily (Joe)
* Add throttling to the scheduler when many immediate priority tasks are
  added, like when untarring a tarball or running rm -r on a directory
  (Joe)
* Set the default QueryDomain to both Local and System, so that per-user
  and the new systemwide indexes are both searched by default (Joe)
* Fix a bug whereby updates would cause hits to show up multiple times
  by issuing a subtract event before the add event (Joe, Daniel Drake)
* Friendlier inotify error messages (Daniel)
* libbeagle: Try BEAGLE_HOME and check that the bus socket exists (Daniel)
* Don't try and discover the file mime-type twice (Daniel)
* Small fixes to libbeagle (Lukas Lipka)
* Better built-in heap-buddy support (Jon)
* Avoid unnecessary boxing in the message passing code (Jon)
* Sqlite FileAttributeStore clean-ups (Jon)
* Added the ability to change an Inotify.Watch's event mask (Jon)

Backends:
* Indexing of mail attachments (Joe)
* Add a mail filter, giving us Maildir support, and port the Evolution
  mail backend to use it (Joe)
* Use IndexableGenerators for the Blam and Liferea backends so that it
  scales and performs better (Joe)
* Configuration option to ignore files by path, pattern etc. (Fredrik)
* Configuration option to ignore mail folders (Fredrik)
* Added StaticQueryable for searched canned indexes (Fredrik)
* Disabled the LauncherQueryable in favor of the system indexing
  features (Fredrik)
* Fix the Evolution mail backend to not reschedule a reindex if it's
  already in the middle of indexing itself, which would otherwise
  interrupt it (Joe)
* Fix a bug in the addressbook backend with older (pre-2.2) versions of
  Evolution in which contacts wouldn't be indexed after the addressbook
  index was first created (Joe)
* Fix handling of gaim logs with non-ascii characters represented in
  names (Daniel)
* Update the properties in some backends to the be correct (Lukas)
* Explicitly disable filtering on gaim log indexables, since the stream
  we produce is already filtered (Jon)
* To ensure that beagle-index-info returns correct information, get
  the item count from the IIndexer, not the driver we are using for
  querying (Jon)
* Fix a problem where we were losing mails from the index if an IMAP
  summary was updated later (Joe)

Filters:
* Added .desktop filter (Fredrik)
* Added .directory filter (Fredrik)
* Added Monodoc filter (Fredrik)
* Added Docbook filter (Fredrik)
* Filter text/x-chdr (C header files) using the C source code filter (Joe)
* Image filter abstraction. Created a FilterImage which all the image
  filters use. This lets us index F-Spot metadata information (Lukas)
* Added F-Spot metadata support which we now index (Lukas)

UI/Tools:
* Added beagle-build-index for building static indexes (Fredrik)
* Added beagle-manage-index for low-level Lucene index management (Fredrik)
* Configuration UI (Fredrik)
* Fix a problem with Best whereby the window wasn't being placed in the
  same place when F12 was pressed (Joe)
* Add a "Reply" action back to the mail tile, as it's available in Evo
  2.2 (Joe)
* Don't show "stop words" in the snippet highlights (Joe)
* Fix ImLogViewer to work with gaim's character escaping style (Daniel)
* Remember selected log in the IM timeline tree, improve searching,
  other random optimizations to the IM viewer (Lukas)
* Galago support and integration. Added Galago support to the Mail, IM
  log and Contact tile (Lukas)
* Fixed a crasher in TileMailMessage.cs and some random cleanups.  Fix a
  bug when the tile didnt show the subject when 'Who' was null. This was
  related to the email attachments (Lukas)
* Added an author field to the blog template (Lukas)
* Render mail attachments nicely (Lukas)

Web Services:
* Support for cascaded Beagle Networking (KN Vijay)
* Configuration of Beagle Web-services and Beagle networking via
  'beagle-config', with corresponding handlers for real-time update of
  configuration changes (Vijay)
* Added on-demand Prefetching and Caching of snippets for network hits
  (Vijay)
* Updates to Web interface wrt handling Actions for external accesses
  (Vijay)

Everything Else:
* Support either sqlite2 or sqlite3 (Daniel)
* Build fixes (Jon)
* Newsletter (Joe Gasiorek)
* Added Polish translation (Michal Kastelik)
* Added Turkish translation (Enver Altin)
* Updated Canadian English translation (Adam Weinberger)
* Updated Chinese translation (Chao-Hsiung Liao)
* Updated German translation (Hendrik Brandt)
* Updated Hungarian translation (Gabor Kelemen)
* Updated Norwegian translation (Terance Sola)
* Updated Spanish translation (Francisco Javier F. Serrador)
* Updated Swedish translation (Fredrik)
* All the stuff I forgot (All of the people I forgot)

------------------------------------------------------

Version 0.0.11.1
June 15, 2005
* Build fixes for CHM filter (Jon)
* Fixed a bug in index versioning that was causing the file system
  indexed to get purged on start-up (Jon)

------------------------------------------------------

Version 0.0.11
June 14, 2005

Daemon/Infrastructure:
* Added a shiny new configuration system (Daniel Drake)
* Collect disk I/O statistics (Robert Love)
* Backported TermEnum optimizations from SVN Lucene (Lukas Lipka)
* Clean up the startup/shutdown quite a bit so that the daemon is ready
  to listen to requests almost immediately, so that early shutdowns are
  completed in a timely fashion, and to remove hacks from calling the
  remote shutdown method (Joe Shaw)
* Tons of portability fixes for FreeBSD (Jean-Yves Lefort,
  Joe, Daniel Drake)
* Fix crashes related to early disconnects from the server (Joe)
* Support extended attributes through libattr if not provided by
  libc (Daniel)
* Inotify subsciption system (Daniel)
* Properly handle exceptions when we walk a directory with strange
  permissions (Jon Trowbridge)
* If we are on a laptop running from battery power, don't speed up
  indexing when the system is idle (Jon)
* Sqlite locking fixes (Jon)
* Tons of query fixes (Jon)
* NameIndex optimizations (Jon)

Backends:
* Support additional date formats in the vcard Rev field and catch
  exceptions on unknown ones (Joe)
* Index flags from mbox mail (Joe)
* Camel summary fixes (Joe)
* Assorted property fixes (Jon)

Filters:
* CHM Filter (Miguel Cabrera)
* Matlab filter (Damodharan R)
* Scilab filter (Damodharan R)

UI/Tools:
* beagle-config utility (Daniel)
* Better handling of unchanged hits in Best (Lukas)
* IM Log Viewer clean-ups (Lukas)
* Present the Best window instead of just showing it; this should fix
  problems where the window pops up behind other windows (Joe)
* Fix a crasher in Best that amazingly only one person ever saw but
  everyone should have seen (Joe)

Web Services:
* Added new web-services based support for networked beagleds (KN Vijay)
* Added support for exporting multiple folders for public webservice
  access (Vijay)
* Fixes to filtering/translating logic for external access to
  web/web-service interface (Vijay)
* Set source for network hits to Network (Vijay)
* Added snippet support (Vijay)

Everything Else:
* Add library mappings for certain GNOME libraries so that devel
  packages aren't required (Brandon Hale)
* Updated British English translation (Christopher Orr)
* Added Bulgarian translation (Rostislav Raykov)
* Updated Canadian English translation (Adam Weinberger)
* Updated Dutch translation (Wouter Bolsterlee)
* Added French translation (Christophe Merlet)
* All the stuff I forgot (All of the people I forgot)

------------------------------------------------------

Version 0.0.10
May 30, 2005

Daemon/Infrastructure:
* Remove dbus dependency and replace it with a simple point-to-point
  Unix domain socket and XmlSerialization message passing system
  (Joe Shaw, Jon Trowbridge, Robert Love, Daniel Drake, Fredrik Hedberg)
* Support multiple properties on the same name on hits (Veerapuram Varadhan,
  Jon)
* Delete logs older than 7 days on startup (Lukas Lipka)
* Bail out eariler if we are run the daemon as root (Lukas)
* Add --help option to beagled (Lukas)
* Inotify API updates, IsDirectory support and OneShot support (Robert)
* Inotify event-queue clean-up (Jon)
* Per-backend index versioning (Fredrik)
* Allow clients to lower hit limit (Daniel)
* Queries are now more flexible (Jon)
* Properly index and query keyword properties (Jon)
* Removed the old network interface (Fredrik)
* Use opendir and readdir from Mono.Posix to walk large directories (Jon)
* Shut down cleanly on SIGINT, SIGTERM and SIGQUIT (Jon)

Backends:
* HitIsValid for TomboyQueryable (Lukas)
* Real-time indexing for Tomboy notes works again (Lukas)
* Fix detection of Evolution IMAP accounts that use authentication
  methods which aren't the default (Joe)
* Fix indexing of GAIM IRC logs (Daniel)
* Don't crash on unreadable .desktop files (Daniel)
* Index KDE Launchers (Daniel)
* Launcher backend cleanups (Daniel)
* Minor changes to the Monodoc backend (Fredrik)
* Improved relevancy for e-mails (Jon)
* Look at the REV field to know which contacts have changed since
  the last time we crawled the local addressbook (Jon)
* Fixed properties in addressbook and Blam objects (Jon)

Filters:
* Filter infrastructure improvements (Jon, Joe, Daniel)
* libexif build/dllmap fixes (Daniel, Jon)
* Spreadsheet filter using ssindex tool from gnumeric, supports
  Excel, Gnumeric, CSVs (Varadhan)
* Add identification of file-types using their extension (Varadhan)
* Added support for extracting header/footer contents in RTF documents
  (Varadhan)
* Filter for Javascript files (Anthony Batchelor)
* Filter for Lisp files (Wojciech Polak)

UI/Tools:
* Allow highlighting search terms in the IM viewer (Lukas)
* Make search work in IM viewer (Lukas)
* Revamped Best quicksearch menu (Lukas)
* Pull font settings from gconf and apply them to the style; fixes the
  GIANT FONT PROBLEM people were seeing in non-english locales (Joe)
* Unify beagle-status, beagle-index-info, and beagle-ping into a single
  beagle-info program (Joe)
* Show KDE launcher icons in Best (Daniel)
* Mouse-over tooltips in Best (Daniel)
* Fix the TileFolder ranking problem (Fredrik)

Web Services:
* Added support for Snippets in Beagle Web Interface (KN Vijay)
* Updated Beagle internal WebServer code to XSP-1.0.9 (Vijay)
* Added External Access filter for Web & Web-service accesses:
  Added check to distinguish between local and external web/web-service
  access, and do basic filtering of hit results for external accesses (Vijay)
* Added Locks to web & web-service backend code, to prevent changes to
  results set while generating response (Vijay)
* Updated web-interface to serve images for Icons from web server,
  converting file:/// uris into http:// uris. This should resolve the
  problem where images for web-interface results were not displayed on
  Mozilla/Firefox browsers, due to security restrictions (Vijay) 
* Changes in WebServiceBackEnd to update it in line with recent changes
  in Query, Hit & Property classes (Vijay)

Everything else:
* Check things more carefully at configure-time (Joe)
* New Wiki (Joe)
* Build fixes (Everyone)
* Removed a bunch of dead code (Everyone)	
* Added Catalan translation (joseppc)
* Added Danish translation (mwh)
* Added Greek translation (pkst)
* Added Hungarian translation (Gabor Kelemen)
* Added Spanish translation (Francisco Javier Fernandez)
* Updated Canadian English translation (Adam Weinberger)
* Updated German translation (Frank Arnold)
* Updated Japanese translation (Takeshi AIHANA)
* Updated Norwegian translation (Terance Edward Sola)
* Updated Dutch translation (Wouter Bolsterlee)
* All the stuff I forgot (All of the people I forgot)

------------------------------------------------------

Version 0.0.9
April 7, 2005

Daemon/Infrastructure:
* Basic support for internationalization (Fredrik Hedberg)
* Properly delete Indexable content when asked (Joe Shaw)
* If watching or ignoring a directory with inotify fails, throw
  the correct exception (Joe)
* Tweaked the types of characters permitted in the snippet code,
  so that certain symbols that were ignored before are allowed (Joe)
* Updated inotify glue to support the latest inotify code (Robert Love)
* Added --list-backends option to beagled (Daniel Drake)
* Merged Exif compatibility code from F-Spot to be compatible with
  mono 1.1.5 (Daniel)
* Do the right thing if Beagle is passed a directory in an environment
  variable that ends with / (Daniel)
* Noise filter fixes (Jon Trowbridge)

Backends:
* Updated beagle-index-url to use FilteredIndexables (Joe)
* Have beagle-index-url delete content that it is unable to pass
  to the daemon (Joe)
* Fixed up the firefox extension to pass --title into beagle-index-url (Joe)
* Create temporary files in .beagle/firefox, not /tmp (Joe)
* Display snippets in web history tiles (Joe)
* Fixed a bug in the IMAP backend where mails would be indexed twice
  for two separate accounts if the URIs were similar (Joe)
* Do the right thing if we try to scan an unreadable directory (Joe)
* Added support for the IMAP4rev1 backend in Evolution 2.2 (Joe)
* Gracefully handle null queries that we get back from evolution-sharp
  when dealing with invalid email addresses (Joe)
* Display snippets in Blam hits (Joe)
* Ignore Gaim logs which don't follow the standard filename format (Daniel)
* Fixed bugs in the file system backend related to copying and moving
  files (Jon)
* In the file system backend, work around a mono bug by ignoring files
  whose name contain '\' (Varadhan, Jon)
* Work around a mono bug which causes dates in the stat structure to
  not reflect daylight savings time (Jon)

Filters:
* Abiword filter fixes (Veerapuram Varadhan)
* MS Word filter optimizations and enhancements (Varadhan)
* Fixed the RTF filter to not extract unwanted strings like font names
 (Varadhan)
* Handle '\n' in a sane way in the filte case class (Varadhan)
* Extract information from meta tags in the Html filter (Saravana)

UI/Tools:
* Catch exceptions when starting the daemon from Best (Joe)
* Add an "Open" action to the launcher tile (Chris Schneider, Joe)
* When opening a folder, run nautilus with the --no-desktop argument
  (Joshua Nichols, Joe)
* Display more information about OO.o 2.0 files in the document tile
  (Varadhan)
* Handle URI escaping when dealing with GNOME Thumbnails (Daniel)
* Better commandline parsing for beagle-query (Daniel)
* Folder tile improvements (Fredrik)

Web Services:
* Build fixes (Vijay, Jon)
* Return a searchToken whenever we return results (Vijay)
* Added support for Firefox search bar (Vijay)
* Updated TokenGenerator to use System.Guid (Vijay)
* Removed hard-wired paths (Vijay, Jon)
* Code reorganization and rationalization (Vijay)
* Allow beagled to run in-place when web services are enabled (Jon)

Everything else:
* Web services build fixes (Jon, Vijay)
* New configure option: --disable-evolution-sharp (Daniel)
* Merciless bugzilla rampage (Joe)
* i18n tips (Christian Rose)
* German translation (Frank Arnold)
* Canadian English translation (Adam Weinberger)
* British English translation (Christopher Orr)
* Japanese translation (Takeshi Aihana)
* Dutch translation (Wouter Bolsterlee)
* Brazilian Portuguese translation (Raphael Higino)
* Simplified Chinese translation (Funda Wang)
* Norwegian bokmal translation (Terance Edward Sola)
* All the stuff I forgot (All the people I forgot)

------------------------------------------------------

Version 0.0.8.1
March 24, 2005

* Web services build fixes (Jon Trowbridge)

------------------------------------------------------

Version 0.0.8
March 23, 2005

Daemon/Infrastructure:
* Added a new web services interface to beagled (KN Vijay)
* Better support for Move events in the Inotify bindings (Robert Love)
* Deal with unmatched Move events (Robert)
* Properly catch exceptions if we try to watch a directory that
  has just been deleted (Robert)
* Handle filenames containing funny characters (Daniel Drake)
* Allow beagled to be started even if X isn't running (Daniel)
* Better handling of GConf exceptions (Daniel)
* Check for null URIs in HitRegulator.Subtract() (Veerapuram Varadhan)
* Lots of snippet fixes and improvements (Fredrik Hedberg)
* Fixed numerous shutdown-related deadlocks (Jon Trowbridge)
* Uri serialization fixes (Jon, Daniel)
* Throw the right exception if we can't set EAs on a file (Jon)
* Removed inotify dependency from the code that processes gaim's
  buddy list (Jon)
* Use Mono.Posix functions to create Lucene's lockfiles (Jon)
* Construct our lucene queries in a more reasonable way (Jon)
* Fixed deadlocks and races in our D-BUS work-arounds (Jon)
* Better disposal/clean-up of unregistered D-BUS objects (Jon)
* Disable broken indexing of nautilus emblems and notes (Jon)
* Don't cache the ignore state of files -- it uses too much memory (Jon)
* When possible, re-use GLib.IdleHandlers to avoid allocations (Jon)
* If a hit is filtered out of the query results because HitIsValid
  returns false, schedule it for removal from the index (Jon)
* Work around dropped FlushComplete signals by polling the flush
  status in a timeout (Jon)
* Added a new property type: properties that are stored but not
  searched by standard queries (Jon)
* Don't allow beagled to run as root (Daniel)

Backends:
* Lots of file system backend fixes.  In particular, moving and
  renaming files now works in many cases.  (Jon)
* If the gconf key for Evolution accounts doesn't exist, fail gracefully
  (Joe)
* Don't require inotify for the Addressbook or Launcher backends (Joe)
* Only index launchers with a name (Joe)
* To avoid leaking delegates, iterate across GMime message parts by hand
  instead of using the built-in foreach function (Joe)
* Make liberal use of 'using' clauses and Dispose() on GMime objects
  to reduce our memory usage while indexing mail (Joe, Miguel de Icaza)
* Use a search pattern when calling DirectoryInfo.GetFiles() so that we
  don't load entries for all of the cached IMAP files into memory
  (Joe, Jon)
* Implemented HitIsValid check for the gaim log backend (Lukas Lipka)
* Changed some non-user-visible properties in addressbook backend to be
  unsearched (Jon)
* Don't index mail headers as text (Jon)
* If we are ignoring a file, ignore requests to remove it from the
  index (Jon)
* Do the right thing when renaming a file changes it's ignore-status (Jon)
* Lots of fixes to the FSW file system backend (Jon)
* Turn off synchronous writes to the sqlite NameIndex db (Jon)
* If we are deferring shutting down the IndexHelper because no
  RemoteIndexerImpl has been closed, wait a bit between checks (Jon)

Filters:
* Optimized Word document indexing (Varadhan)
* Remove null characters from media tags (Varadhan)
* Skip PPT 4.0 files, because we don't support them (Varadhan)
* OpenOffice 2.0 support (Varadhan)
* Added OpenOffice 1.0 template and all 2.0 mimetypes to the OpenOffice
  filter (Joe)
* Better handling of GSF exceptions in the PPT filter (Varadhan)
* Index non-ISO characters in Word documents (Varadhan)
* In the OOo filter, keep proper track of "hot" content in the presence of
  links (Varadhan)

UI/tools:
* Make PageUp and PageDown work in Best (Wouter Bolsterlee)
* Added a .desktop file (Joe)
* When running Best from menus, start in --no-tray mode (Lukas)
* Skip over session management arguments to Best, they are handled by the
  Gnome libraries (Joe)
* Catch exceptions thrown by snippet requests, so that Best won't crash
  if you flip through the pages of results while the daemon is down (Joe)
* When opening a blog entry, don't kill Best if we can't open a handler
  for the URI (Joe)
* Added --show-window option (Joe)
* Add 'Application' in front of launcher names so it is clear what
  they are (Joe)
* Fix F12 so that it works with numlock, caps lock, and whatever other
  crazy modifiers might be on (Joe)
* Don't crash on non-standard icon themes (Daniel)
* Allow beagle-query to be run even if X isn't running (Daniel)
* Improved command-line argument handling for Best (Lukas)
* Shut down Best properly in non-tray mode (Lukas)
* Fixed arguments in beagle-status (Lukas)
* Open Gaim IRC logs in the IM viewer (Lukas)
* Fixed Buddy List reader error (Lukas)
* IM viewer clean-ups (Lukas)
* Fall back to displaying the filename for untagged media files (Varadhan)
* Display snippets in glorious technicolor (Fredrik)
* Remember Best's position (Fredrik)
* Best tile-rendering fixes (Fredrik)

Everything else:
* Configure-time check for sqlite and dbus headers (Joe)
* Relentless, heroic D-BUS hacking and leak-fixing (Joe)
* GMime leak fixes (Joe)
* Fixed the Dashboard build (Joe)
* Fun with memory profilers (Ben Maurer, Jon)
* monogrind! (Nat Friedman)
* Mono-related hand-holding (the Mono team)
* All the stuff I forgot (All the people I forgot)

------------------------------------------------------

Version 0.0.7
February 28, 2005

Backends:
* All backends now work without inotify (Jon Trowbridge, Fredrik Hedberg)
* Lots of file system backend improvements (Jon)
* Deal with missing Evo mail directories (Joe Shaw, Lukas Lipka,
  Daniel Drake)
* Detect Evo summary file versions and skip ones we won't support (Joe)
* Launcher backend clean-up (Daniel)
* In the mail backend, don't index mail headers or non-text parts as
  text (Jon)

Daemon/Infrastructure:
* Don't check access before setting EAs (Lukas)
* De-inotification of directory creation (Daniel, Christopher Orr)
* Before we serialize any XML, check for invalid characters (Joe)
* More fixes for filenames containing @ (Jon)
* Fixed logging for helper process (Jon)
* Don't complain so loudly if we can't set EAs on files (Daniel)
* Properly handle --fg and --bg in the beagled script (Jon)
* Look at VmRSS to decide when to restart the helper, not VmSize (Jon)
* Set the helper max memory size relative to the initial footprint (Jon)
* Added environment variables to override where beagle looks for your
  files and when it writes its indexes (Jon)
* TextCache fixes (Jon)
* Reset the stored path if a file already has attributes but appears to have
  been moved, copied or renamed (Jon)
* Properly shutdown the helper if the beagled terminates after an add
  but before flushing the indexer (Jon)
* Properly deal with multiple entries for one path in the fallback
  file attributes sqlite db (Jon)
* While indexing, filter out stuff that is obviously not text (Jon)

Filters:
* Greatly improved handling of .ppt files (Veerapuram Varadhan)
* Strip junk characters from .doc files (Varadhan)
* Support odt format in OpenOffice filter (Varadhan)
* Index contents of hyperlink fields in OpenOffice documents (Varadhan)
* Handle exif dates gracefully (Daniel)
* Support both libexif 0.5 and 0.6 (Daniel)
* Fail gracefully if an exception is thrown while a filter is pulling
  text (Jon)
* Don't index text/plain files that are suspiciously large (Jon)
* Lots of misc. clean-up, fixes for compile-time warnings, etc. (Varadhan)

UI:
* Print out nice error messages on dbus exceptions in beagle-query
  (Daniel)
* If we're unable to launch a process from Best, don't crash (Joe)
* Show snippets in presentation tiles (Jon)

Everything Else:
* D-BUSology (Joe)
* Wiki (Joe Gasiorek.)
* Newsletter (Joe G.)
* Fixed spelling of Tom von Schwerdtner's name... sorry! (Jon)
* All the stuff I forgot (All the people I forgot)

------------------------------------------------------

Version 0.0.6.1
February 16, 2005

* Filter/FilterGst.cs now compiles. (Veerapuram Varadhan)
* Properly handle extensions in mail folder names (Lukas Lipka)
* Properly open sub-subdirectories in the mail backend (Lukas)
* Fixed inotify_snarf_events to report zero events read in
  the event of a timeout (Jon Trowbridge)
* Work around D-BUS bugs by hoisting a few more calls up into
  the main loop (Jon)

------------------------------------------------------

Version 0.0.6
February 15, 2005

Daemon/Infrastructure:
* Indexing now happens outside of the begaled process, which allows us to
  substantially reduce our memory consumption (Jon Trowbridge)
* Updated to use inotify 0.18 (Robert Love)
* Use UTF-8 encoding when converting filenames from inotify (Joe Shaw)
* Added support for both D-BUS 0.23 and HEAD (Joe)
* Make the indexer more robust against filters that throw exceptions (Jon)
* Indexable serialization fixes (Jon)
* Put an upper limit on scheduler idle time (Jon)

Backends:
* Watch for .tomboy if it doesn't exist (Larry Reaves)
* Added an ExceptionHandleingThread class and port all the backends to
  use it for easier debugging (Joe)
* Non-existent directories no long kill the Evolution backend (Joe)
* Fixed mime encoding issues in mail headers (Joe)
* If .gaim or .gaim/logs doesn't exist, watch for them with inotify
  (Robert Van Gorkom)
* Some small launcher backend fixes (Jon)

Filters:
* Hot text and StructuralBreak fixes in the Filter base class
  (Veerapuram Varadhan)
* Assume ASCII for HTML files with unknown encodings (Joe)
* Made the PDF filter more robust (Joe)
* Pass the correct parameters to pdfinfo (Urko Frenandez)
* Lots of snippets fixes (Varadhan)
* Only initialize wv1 once (Varadhan)
* Lots of other filter fixes (Varadhan)
* PHP filter fixes (Rich Midwinter)
* C# filter fixes (Varadhan, with a shout out to Rafael Slinckx)

UI:
* Filter web history indexing by domain (Tom von Schwerdtner)
* Mozilla extension UI enhancements (James Viapond)
* Fixed best searches from the mozilla extensions (Rich Midwinter)
* Fixed the entry focus in Best (Stephen Solka)
* Added a right-click menu to Best (Shobith Alva)
* Fixed charset encoding issues in Best (Joe, Jonas Klingstedt)
* Improved Best startup behaviour if started with a query (Christopher Orr)
* Fixed music tile ID3 tag bug (Lukas Lipka)
* IM viewer tuning (Lukas)
* Gaim-remote fixes (Lukas)
* Fixed launching Evolution and sending mail from the mail tile (Nicolas
  Trangez)
* Fixed rendering bug in TileCanvas (Lukas)

Everything Else:
* Build fixes (Everyone)
* Testing and Bug Reports (Everyone)
* Hand-to-hand combat with D-BUS (Joe)
* Man pages (Robert)

------------------------------------------------------

Version 0.0.5
January 26, 2005

Daemon:
* Improved interaction with Mono GC (Jon Trowbridge, Joe Shaw, Ben Maurer)
* Dot Lucene 1.4.3 (Joe)
* Snippets in Files, IM logs, and Tomboy Notes (Jon)
* Query infrastructure improvements (Jon)
* Dynamic backend loading (Fredrik Hedberg)
* Large queries are now much faster (Joe, Jon)
* Better handling of index optimize operations (Joe)
* Faster IM log parsing (Jon)
* Properly quote SQLite queries (Edward Cho, Chris Orr)
* Work around .NET Uri class weirdness (Adam Lofts)

Backends:
* Liferea backend (Carl-Emil Lagerstedt)
* Launcher backend (Joe Gasiorek)
* Thunderbird backend (Fredrik)
* The Tomboy backend works again (Robert Love)

Filters:
* Better infrastructure for source code filters (Veerapuram Varadhan)
* Abiword filter (Varadhan)
* Fortran filter (Vishravars)
* Pascal filter (Veerapuram Varadhan)
* PHP filter (Vishravars)
* Improved RTF filter (Varadhan)
* Improved PPT filter (Varadhan)

UI:
* IM log viewer (Lukas Lipka, Tuomas Kuosmanen)
* Right-click menu for Best (Shobith Alva)
* Document tile enhancements (Varadhan)
* Remember Best's position (Joe G.)
* Fix search entry focus problem (Stephen Solka)
* Client-side hit filtering (Nat Friedman)
* Calendar tile (Lukas)
* Fixed images under Mozilla 1.7 (Joe)
* Better addressbook look-ups (Nat)
* Use freedesktop-spec thumbnails (Fredrik) 
* IM fields in contact tile (Nat)

Everything Else:
* Build fixes (Everyone)
* Newletter (Joe G.)
* Wiki wrangling (Joe G.)
* Bold, haunting cinematic vision (Nat)
* Snapshot Resurrection (Joe)
* Inotify hacking (Robert)
* D-BUS hacking (Joe)
* GMime hacking (Joe)
* Win32 porting (Fredrik)
* All the stuff I forgot (All the people I forgot)

------------------------------------------------------

Version 0.0.4
December 10, 2004

Daemon:
* Improved relevancy scoring (Joe Shaw)
* Lots of D-BUS clean-up (Jon Trowbridge)
* Filter architecture clean-up (Jon)
* Improved Extended Attribute handling (Jon)
* If EAs can't be set on a file, store the information in a
  fallback database (Jon)
* Expose more information about the indexes via D-BUS (Jon)
* Added beagle-index-info script (Jon)
* Initial lucene optimize operations now threaded for faster
  start-up (Jon)

Backends:
* Addressbook is now synched to a lucene index (Dave Camp)
* New gmime-based mail backend that uses lucene for indexing (Joe)
* Blam backend fixes (Fredrik Hedberg)

Filters:
* Added meta-data for .ppt files (Veerapuram Varadhan)
* Improved RTF filter (Varadhan)
* Count the number of slides in .sxi files (Varadhan)
* Improved audio file filters (Rafael Slinckx)

UI:
* Updated web tile (Christopher Orr)
* Show folder and account properties in the mail tile (Joe)
* Filter results by hit type (Joe)
* Save search history (Joe)
* More stetic (Tuomas Kuosmanen)
* Tile art updates (Tuomas)
* "View Source" accelerator (Fredrik)
* Ctrl+L can focus the search bar (James Vipond)
* File tile uses nautilus-sendto if it's available (Dave)
* Mail tile improvements (Joe, Tuomas)
* Pretty-print dates in image tiles (Joe)

------------------------------------------------------

Version 0.0.3
November 22, 2004

Daemon:
* Live query architecture (Jon, Joe, Dave)
* Inotify-fu (Robert, Dave, Jon)
* Extended Attributes (Jon, Robert)
* Task Scheduler (Jon)
* Start-up fixes (Dave, Jon)
* LuceneDriver Enhancements (Joe, Jon)
* Efficiency (Dave, Joe, Jon)
* Robustness (Hari, Joe, Dave, Nat, Jon)
* Memory consumption (Joe, Dave, Jon)
* Real logging (Dave, Jon)
* Build fixes (Everybody)
* Experimental Network Support (Fredrik)
* Command-line tools (Nat, Chris, Jon)
* Better serialization (Dave, Joe)
* Relevancy fixes (Joe)
* Memory Profiling (Jon)
* Clean shutdown via beagle-shutdown (Dave, Jon)
* D-BUS fixes (Dave, Jon)


Filters:
* MS Word (Varadhan, Chris)
* MS PowerPoint (Varadhan, Chris)
* Media Files/GStreamer (Adam, Chris)
* Texi (Naggapan)
* RTF (Varadhan and ???)
* Source Code (Siva, Varadhan)
* OpenOffice/SAX Parser (Dave)
* Flac (Rafael)
* Jpeg enhancements (Jon, Larry)
* Misc. fixes (Chris, Robert, Varadhan, Jon)


Backends:
* Mail (Joe)
* Addressbook (Dave)
* Filesystem (Jon)
* Gaim (Jon)
* Tomboy (Christopher)
* Bugzilla (Harish)
* Blam (Fredrik, Jon, Lukas)
* Monodoc (Fredrik)
* Network (Fredrik)


UI:
* Geckoification (Dave)
* Improved Rendering (Dave)
* Tiles (Tuomas, Dave, Nat, Lukas, Matt, Joe)
* Tile Actions (Dave, Nat)
* Stetic (Tuomas)
* Tray Icon (Srinivasa, Alex, Dave, Lukas, Nat)
* Other Best Fixes (Dave, Nat, Robert)


Everything Else:
* Better wrapper scripts (Chris, Jon, Todd)
* Build fixes (Everybody)
* Packaging & snapshots (Chris)
* Planet Beagle (Robert, Garrett)
* Kick-ass Logo (Larry, Garrett)
* Newsletter (Joe G.)
* Wiki (Joe G.)
* Website (Garrett, Ben)
* beagle-query man page (Nat)
* Heroic dashboard maintenance (Chris, Joe)
* All the stuff I forgot (All the people I forgot)

------------------------------------------------------

Version 0.0.2
September 1, 2004

------------------------------------------------------

Version 0.0.1
June 10, 2004

* Worked around Mono GC issues.
* Enabled stemming.
* Better relevancy computations.
* Distinguish between sent and received e-mail.
* Searchomatic!
* Added logging of indexing operations.

------------------------------------------------------

Version 0.0.0 (Initial release)
June 3, 2004

